<!-- XDB DTD V0.4 -->
<!-- Copyright 1997, Palm Tree Books, Occidental, Calif. -->
<!-- This is a test distribution only.  DO NOT use it for serious
     work and BEWARE that it may well be faulty.  Specifically, the 
     copyright holder makes no representation about the suitability of 
     the DTD, or XML for that matter, for any purpose.  It is provided 
     "as is" without expressed or implied warranty.  

     Please direct all questions, bug reports, or suggestions for
     changes to Terry Allen, tallen@sonic.net.

     A later version of this DTD will probably be distributed by
     the Davenport Group.  

     The copyright notice for the Docbook DTD, from which this DTD
     is derived, appears immediately following.

     Note that this DTD covers only the RefEntry part of Docbook.
-->
<!-- Docbook is

     "Copyright 1992, 1993, 1994, 1995, 1996 HaL Computer Systems, Inc., 
     O'Reilly & Associates, Inc., ArborText, Inc., and Fujitsu Software
     Corporation.

     "Permission to use, copy, modify and distribute the DocBook DTD and
     its accompanying documentation for any purpose and without fee is
     hereby granted in perpetuity, provided that the above copyright
     notice and this paragraph appear in all copies.  The copyright
     holders make no representation about the suitability of the DTD for
     any purpose.  It is provided "as is" without expressed or implied
     warranty."
-->
<!ENTITY % yesorno.attvals	"CDATA">
<!ENTITY % yes.attval		"'1'">
<!ENTITY % no.attval		"'0'">
<!ENTITY % xdbpool.redecl.module "IGNORE">
<!ENTITY % list.class
		"CalloutList|GlossList|ItemizedList|OrderedList|SegmentedList
		|SimpleList|VariableList">
<!ENTITY % admon.class
		"Caution|Important|Note|Tip|Warning">
<!ENTITY % linespecific.class
		"LiteralLayout|ProgramListing|ProgramListingCO|Screen
		|ScreenCO|ScreenShot">
<!ENTITY % synop.class
		"Synopsis|CmdSynopsis|FuncSynopsis">
<!ENTITY % para.class
		"FormalPara|Para|SimPara">
<!ENTITY % informal.class
		"Address|BlockQuote|Graphic|GraphicCO|InformalEquation
		|InformalExample|InformalTable">
<!ENTITY % formal.class
		"Equation|Example|Figure|Table">
<!ENTITY % compound.class
		"MsgSet|Procedure|Sidebar">
<!ENTITY % genobj.class
		"Anchor|BridgeHead|Comment|Highlights
		">
<!ENTITY % descobj.class
		"Abstract|AuthorBlurb|Epigraph
		">
<!ENTITY % ndxterm.class
		"IndexTerm">
<!ENTITY % xref.char.class
		"FootnoteRef|XRef">
<!ENTITY % gen.char.class
		"Abbrev|Acronym|Citation|CiteRefEntry|CiteTitle|Emphasis
		|FirstTerm|ForeignPhrase|GlossTerm|Footnote|Phrase
		|Quote|Trademark|WordAsWord">
<!ENTITY % link.char.class
		"Link|OLink|ULink">
<!ENTITY % tech.char.class
		"Action|Application|ClassName|Command|ComputerOutput
		|Database|Email|EnVar|ErrorCode|ErrorName|ErrorType|Filename
		|Function|GUIButton|GUIIcon|GUILabel|GUIMenu|GUIMenuItem
		|GUISubmenu|Hardware|Interface|InterfaceDefinition|KeyCap
		|KeyCode|KeyCombo|KeySym|Literal|Markup|MediaLabel|MenuChoice
		|MouseButton|MsgText|Option|Optional|Parameter|Prompt|Property
		|Replaceable|ReturnValue|SGMLTag|StructField|StructName
		|Symbol|SystemItem|Token|Type|UserInput
		">
<!ENTITY % base.char.class
		"Anchor">
<!ENTITY % docinfo.char.class
		"Author|AuthorInitials|CorpAuthor|ModeSpec|OtherCredit
		|ProductName|ProductNumber|RevHistory
		">
<!ENTITY % other.char.class
		"Comment|Subscript|Superscript">
<!ENTITY % inlineobj.char.class
		"InlineGraphic|InlineEquation">
<![%xdbpool.redecl.module;[
%rdbpool;
]]>
<!ENTITY % component.mix "%ndxterm.class; |%list.class;		|%admon.class;
		|%linespecific.class;	|%synop.class;
		|%para.class;		|%informal.class;
		|%formal.class;		|%compound.class;
		|%genobj.class;		|%descobj.class;
		">
<!ENTITY % sidebar.mix "%ndxterm.class; |%list.class;		|%admon.class;
		|%linespecific.class;	|%synop.class;
		|%para.class;		|%informal.class;
		|%formal.class;		|Procedure
		|%genobj.class;
		">
<!ENTITY % footnote.mix "%ndxterm.class; |%list.class;
		|%linespecific.class;	|%synop.class;
		|%para.class;		|%informal.class;
		">
<!ENTITY % example.mix "%ndxterm.class; |%list.class;
		|%linespecific.class;	|%synop.class;
		|%para.class;		|%informal.class;
		">
<!ENTITY % highlights.mix "%ndxterm.class; |%list.class;		|%admon.class;
		|%para.class;
		">
<!ENTITY % para.mix "%ndxterm.class; | %list.class;           |%admon.class;
		|%linespecific.class;
					|%informal.class;
		|%formal.class;
		">
<!ENTITY % admon.mix "%ndxterm.class; |%list.class;
		|%linespecific.class;	|%synop.class;
		|%para.class;		|%informal.class;
		|%formal.class;		|Procedure|Sidebar
		|Anchor|BridgeHead|Comment
		">
<!ENTITY % figure.mix "%ndxterm.class; |%linespecific.class;	|%synop.class;
					|%informal.class;
		">
<!ENTITY % tabentry.mix "%ndxterm.class; |%list.class;		|%admon.class;
		|%linespecific.class;
		|%para.class;		|Graphic
		">
<!ENTITY % glossdef.mix "%ndxterm.class; |%list.class;
		|%linespecific.class;	|%synop.class;
		|%para.class;		|%informal.class;
		|%formal.class;
		|Comment
		">
<!ENTITY % legalnotice.mix "%ndxterm.class; |%list.class;		|%admon.class;
		|%linespecific.class;
		|%para.class;		|BlockQuote
		">
<!ENTITY % para.char.mix
		"#PCDATA
		|%xref.char.class;	|%gen.char.class;
		|%link.char.class;	|%tech.char.class;
		|%base.char.class;	|%docinfo.char.class;
		|%other.char.class;	|%inlineobj.char.class;
		|%synop.class;
		">
<!ENTITY % title.char.mix
		"#PCDATA
		|%xref.char.class;	|%gen.char.class;
		|%link.char.class;	|%tech.char.class;
		|%base.char.class;	|%docinfo.char.class;
		|%other.char.class;	|%inlineobj.char.class;
		">
<!ENTITY % ndxterm.char.mix
		"#PCDATA
		|%xref.char.class;	|%gen.char.class;
		|%link.char.class;	|%tech.char.class;
		|%base.char.class;	|%docinfo.char.class;
		|%other.char.class;	|InlineGraphic
		">
<!ENTITY % cptr.char.mix
		"#PCDATA
		|%link.char.class;	|%tech.char.class;
		|%base.char.class;
		|%other.char.class;	|InlineGraphic
		">
<!ENTITY % smallcptr.char.mix "#pcdata | %ndxterm.class;
					|Replaceable
					|InlineGraphic
		">
<!ENTITY % word.char.mix "#pcdata | %ndxterm.class;
					|Acronym|Emphasis|Trademark
		|%link.char.class;
		|%base.char.class;
		|%other.char.class;	|InlineGraphic
		">
<!ENTITY % docinfo.char.mix
		"#PCDATA
					|Emphasis|Trademark
					|Replaceable
		|%other.char.class;	|InlineGraphic
		">
<!ENTITY % formalobject.title.content "Title, TitleAbbrev?">
<!ENTITY % equation.content "(Graphic+)">
<!ENTITY % inlineequation.content "(Graphic+)">
<!ENTITY % programlisting.content "%para.char.mix; | CO | LineAnnotation">
<!ENTITY % screen.content "%para.char.mix; | CO | LineAnnotation">
<!ENTITY % arch.attrib
	
	"Arch		CDATA		#IMPLIED">
<!ENTITY % conformance.attrib
	
	"Conformance	NMTOKENS	#IMPLIED">
<!ENTITY % os.attrib
	
	"OS		CDATA		#IMPLIED">
<!ENTITY % revision.attrib
	
	"Revision	CDATA		#IMPLIED">
<!ENTITY % userlevel.attrib
	
	"UserLevel	CDATA		#IMPLIED">
<!ENTITY % vendor.attrib
	
	"Vendor		CDATA		#IMPLIED">
<!ENTITY % effectivity.attrib
	"%arch.attrib;
	%conformance.attrib;
	%os.attrib;
	%revision.attrib;
	%userlevel.attrib;
	%vendor.attrib;
	"
>
<!ENTITY % id.attrib
	
	"Id		ID		#IMPLIED">
<!ENTITY % idreq.attrib
	
	"Id		ID		#REQUIRED">
<!ENTITY % lang.attrib
	
	"Lang		CDATA		#IMPLIED">
<!ENTITY % remap.attrib
	
	"Remap		CDATA		#IMPLIED">
<!ENTITY % role.attrib
	
	"Role		CDATA		#IMPLIED">
<!ENTITY % xreflabel.attrib
	
	"XRefLabel	CDATA		#IMPLIED">
<!ENTITY % revisionflag.attrib
	
	"RevisionFlag	(Changed
			|Added
			|Deleted
			|Off)		#IMPLIED">
<!ENTITY % common.attrib
	"%id.attrib;
	%lang.attrib;
	%remap.attrib;
	
	%xreflabel.attrib;
	%revisionflag.attrib;
	%effectivity.attrib;
	"
>
<!ENTITY % idreq.common.attrib
	"%idreq.attrib;
	%lang.attrib;
	%remap.attrib;
	
	%xreflabel.attrib;
	%revisionflag.attrib;
	%effectivity.attrib;
	"
>
<!ENTITY % graphics.attrib
	"
	
	EntityRef	ENTITY		#IMPLIED
	
	FileRef 	CDATA		#IMPLIED
	
	
	
	SrcCredit	CDATA		#IMPLIED
	
	Width		CDATA		#IMPLIED
	
	Depth		CDATA		#IMPLIED
	
	Align		(Left
			|Right 
			|Center)	#IMPLIED
	
	Scale		CDATA		#IMPLIED
	
	Scalefit	%yesorno.attvals;
					#IMPLIED
	"
>
<!ENTITY % keyaction.attrib
	"
	
	Action		(Click
			|Double-Click
			|Press
			|Seq
			|Simul
			|Other)		#IMPLIED
	
	OtherAction	CDATA		#IMPLIED"
>
<!ENTITY % label.attrib
	
	"Label		CDATA		#IMPLIED">
<!ENTITY % linespecific.attrib
	
	"Format		NOTATION
			(linespecific)	'linespecific'">
<!ENTITY % linkend.attrib
	
	"Linkend	IDREF		#IMPLIED">
<!ENTITY % linkendreq.attrib
	
	"Linkend	IDREF		#REQUIRED">
<!ENTITY % linkends.attrib
	
	"Linkends	IDREFS		#IMPLIED">
<!ENTITY % linkendsreq.attrib
	
	"Linkends	IDREFS		#REQUIRED">
<!ENTITY % mark.attrib
	"Mark		CDATA		#IMPLIED
	"
>
<!ENTITY % moreinfo.attrib
	
	"MoreInfo	(RefEntry|None)	'None'">
<!ENTITY % pagenum.attrib
	
	"Pagenum	CDATA		#IMPLIED">
<!ENTITY % status.attrib
	
	"Status		CDATA		#IMPLIED
	"
>
<!ENTITY % width.attrib
	
	"Width		CDATA		#IMPLIED">
<!ENTITY % title.module "INCLUDE">
<![%title.module;[
<!ENTITY % title.role.attrib "%role.attrib;">
<!ELEMENT Title (%title.char.mix;)*>
<!ATTLIST Title
		%pagenum.attrib;
		%common.attrib;
		%title.role.attrib;
		
>
]]>
<!ENTITY % titleabbrev.module "INCLUDE">
<![%titleabbrev.module;[
<!ENTITY % titleabbrev.role.attrib "%role.attrib;">
<!ELEMENT TitleAbbrev (%title.char.mix;)*>
<!ATTLIST TitleAbbrev
		%common.attrib;
		%titleabbrev.role.attrib;
		
>
]]>
<!ENTITY % subtitle.module "INCLUDE">
<![%subtitle.module;[
<!ENTITY % subtitle.role.attrib "%role.attrib;">
<!ELEMENT Subtitle (%title.char.mix;)*>
<!ATTLIST Subtitle
		%common.attrib;
		%subtitle.role.attrib;
		
>
]]>
<!ENTITY % person.ident.mix
		"Honorific|FirstName|Surname|Lineage|OtherName|Affiliation
		|AuthorBlurb|Contrib">
<!ENTITY % bibliocomponent.mix
		"Abbrev|Abstract|Address|ArtPageNums|Author
		|AuthorGroup|AuthorInitials|BiblioMisc|BiblioSet
		|Collab|ConfGroup|ContractNum|ContractSponsor
		|Copyright|CorpAuthor|CorpName|Date|Edition
		|Editor|InvPartNumber|ISBN|ISSN|IssueNum|OrgName
		|OtherCredit|PageNums|PrintHistory|ProductName
		|ProductNumber|PubDate|Publisher|PublisherName
		|PubsNumber|ReleaseInfo|RevHistory|SeriesVolNums
		|Subtitle|Title|TitleAbbrev|VolumeNum
		|%person.ident.mix;
		">
<!ENTITY % biblioentry.module "INCLUDE">
<![%biblioentry.module;[
<!ENTITY % biblioentry.role.attrib "%role.attrib;">
<!ELEMENT BiblioEntry ((ArtHeader | BookBiblio | SeriesInfo
	| (%bibliocomponent.mix;))+) >
<!ATTLIST BiblioEntry
		%common.attrib;
		%biblioentry.role.attrib;
		
>
]]>
<!ENTITY % bibliomixed.module "INCLUDE">
<![%bibliomixed.module;[
<!ENTITY % bibliomixed.role.attrib "%role.attrib;">
<!ELEMENT BiblioMixed  (#pcdata | %bibliocomponent.mix; | BiblioMSet)*
	>
<!ATTLIST BiblioMixed
		%common.attrib;
		%bibliomixed.role.attrib;
		
>
]]>
<!ENTITY % bookbiblio.module "INCLUDE">
<![%bookbiblio.module;[
<!ENTITY % bookbiblio.role.attrib "%role.attrib;">
<!ELEMENT BookBiblio ((%bibliocomponent.mix; | SeriesInfo)+) >
<!ATTLIST BookBiblio
		%common.attrib;
		%bookbiblio.role.attrib;
		
>
]]>
<!ENTITY % seriesinfo.module "INCLUDE">
<![%seriesinfo.module;[
<!ENTITY % seriesinfo.role.attrib "%role.attrib;">
<!ELEMENT SeriesInfo (%bibliocomponent.mix;)* >
<!ATTLIST SeriesInfo
		%common.attrib;
		%seriesinfo.role.attrib;
		
>
]]>
<!ENTITY % artheader.module "INCLUDE">
<![%artheader.module;[
<!ENTITY % artheader.role.attrib "%role.attrib;">
<!ELEMENT ArtHeader ((%bibliocomponent.mix; | BookBiblio)+) >
<!ATTLIST ArtHeader
		%common.attrib;
		%artheader.role.attrib;
		
>
]]>
<!ENTITY % biblioset.module "INCLUDE">
<![%biblioset.module;[
<!ENTITY % biblioset.role.attrib "%role.attrib;">
<!ELEMENT BiblioSet (%bibliocomponent.mix;)* >
<!ATTLIST BiblioSet
		
		Relation	CDATA		#IMPLIED
		%common.attrib;
		%biblioset.role.attrib;
		
>
]]>
<!ENTITY % bibliomset.module "INCLUDE">
<![%bibliomset.module;[
<!ENTITY % bibliomset.role.attrib "%role.attrib;">
<!ELEMENT BiblioMSet  (#pcdata | %bibliocomponent.mix; | BiblioMSet)*
	>
<!ATTLIST BiblioMSet
		
		Relation	CDATA		#IMPLIED
		%bibliomset.role.attrib;
		%common.attrib;
		
>
]]>
<!ENTITY % bibliomisc.module "INCLUDE">
<![%bibliomisc.module;[
<!ENTITY % bibliomisc.role.attrib "%role.attrib;">
<!ELEMENT BiblioMisc (%para.char.mix;)*>
<!ATTLIST BiblioMisc
		%common.attrib;
		%bibliomisc.role.attrib;
		
>
]]>
<!ENTITY % subjectset.content.module "INCLUDE">
<![%subjectset.content.module;[
<!ENTITY % subjectset.module "INCLUDE">
<![%subjectset.module;[
<!ENTITY % subjectset.role.attrib "%role.attrib;">
<!ELEMENT SubjectSet (Subject+)>
<!ATTLIST SubjectSet
		
		Scheme		CDATA		#IMPLIED
		%common.attrib;
		%subjectset.role.attrib;
		
>
]]>
<!ENTITY % subject.module "INCLUDE">
<![%subject.module;[
<!ENTITY % subject.role.attrib "%role.attrib;">
<!ELEMENT Subject (SubjectTerm+)>
<!ATTLIST Subject
		
		Weight		CDATA		#IMPLIED
		%common.attrib;
		%subject.role.attrib;
		
>
]]>
<!ENTITY % subjectterm.module "INCLUDE">
<![%subjectterm.module;[
<!ENTITY % subjectterm.role.attrib "%role.attrib;">
<!ELEMENT SubjectTerm (#PCDATA)>
<!ATTLIST SubjectTerm
		%common.attrib;
		%subjectterm.role.attrib;
		
>
]]>
]]>
<!ENTITY % keywordset.content.module "INCLUDE">
<![%keywordset.content.module;[
<!ENTITY % keywordset.module "INCLUDE">
<![%keywordset.module;[
<!ENTITY % keywordset.role.attrib "%role.attrib;">
<!ELEMENT KeywordSet (Keyword+)>
<!ATTLIST KeywordSet
		%common.attrib;
		%keywordset.role.attrib;
		
>
]]>
<!ENTITY % keyword.module "INCLUDE">
<![%keyword.module;[
<!ENTITY % keyword.role.attrib "%role.attrib;">
<!ELEMENT Keyword (#PCDATA)>
<!ATTLIST Keyword
		%common.attrib;
		%keyword.role.attrib;
		
>
]]>
]]>
<!ENTITY % itermset.module "INCLUDE">
<![%itermset.module;[
<!ENTITY % itermset.role.attrib "%role.attrib;">
<!ELEMENT ITermSet (IndexTerm+)>
<!ATTLIST ITermSet
		%common.attrib;
		%itermset.role.attrib;
		
>
]]>
<!ENTITY % msgset.content.module "INCLUDE">
<![%msgset.content.module;[
<!ENTITY % msgset.module "INCLUDE">
<![%msgset.module;[
<!ENTITY % msgset.role.attrib "%role.attrib;">
<!ELEMENT MsgSet (MsgEntry+)>
<!ATTLIST MsgSet
		%common.attrib;
		%msgset.role.attrib;
		
>
]]>
<!ENTITY % msgentry.module "INCLUDE">
<![%msgentry.module;[
<!ENTITY % msgentry.role.attrib "%role.attrib;">
<!ELEMENT MsgEntry (Msg+, MsgInfo?, MsgExplan*)>
<!ATTLIST MsgEntry
		%common.attrib;
		%msgentry.role.attrib;
		
>
]]>
<!ENTITY % msg.module "INCLUDE">
<![%msg.module;[
<!ENTITY % msg.role.attrib "%role.attrib;">
<!ELEMENT Msg (Title?, MsgMain, (MsgSub | MsgRel)*)>
<!ATTLIST Msg
		%common.attrib;
		%msg.role.attrib;
		
>
]]>
<!ENTITY % msgmain.module "INCLUDE">
<![%msgmain.module;[
<!ENTITY % msgmain.role.attrib "%role.attrib;">
<!ELEMENT MsgMain (Title?, MsgText)>
<!ATTLIST MsgMain
		%common.attrib;
		%msgmain.role.attrib;
		
>
]]>
<!ENTITY % msgsub.module "INCLUDE">
<![%msgsub.module;[
<!ENTITY % msgsub.role.attrib "%role.attrib;">
<!ELEMENT MsgSub (Title?, MsgText)>
<!ATTLIST MsgSub
		%common.attrib;
		%msgsub.role.attrib;
		
>
]]>
<!ENTITY % msgrel.module "INCLUDE">
<![%msgrel.module;[
<!ENTITY % msgrel.role.attrib "%role.attrib;">
<!ELEMENT MsgRel (Title?, MsgText)>
<!ATTLIST MsgRel
		%common.attrib;
		%msgrel.role.attrib;
		
>
]]>
<!ENTITY % msginfo.module "INCLUDE">
<![%msginfo.module;[
<!ENTITY % msginfo.role.attrib "%role.attrib;">
<!ELEMENT MsgInfo ((MsgLevel | MsgOrig | MsgAud)*)>
<!ATTLIST MsgInfo
		%common.attrib;
		%msginfo.role.attrib;
		
>
]]>
<!ENTITY % msglevel.module "INCLUDE">
<![%msglevel.module;[
<!ENTITY % msglevel.role.attrib "%role.attrib;">
<!ELEMENT MsgLevel (%smallcptr.char.mix;)*>
<!ATTLIST MsgLevel
		%common.attrib;
		%msglevel.role.attrib;
		
>
]]>
<!ENTITY % msgorig.module "INCLUDE">
<![%msgorig.module;[
<!ENTITY % msgorig.role.attrib "%role.attrib;">
<!ELEMENT MsgOrig (%smallcptr.char.mix;)*>
<!ATTLIST MsgOrig
		%common.attrib;
		%msgorig.role.attrib;
		
>
]]>
<!ENTITY % msgaud.module "INCLUDE">
<![%msgaud.module;[
<!ENTITY % msgaud.role.attrib "%role.attrib;">
<!ELEMENT MsgAud (%para.char.mix;)*>
<!ATTLIST MsgAud
		%common.attrib;
		%msgaud.role.attrib;
		
>
]]>
<!ENTITY % msgexplan.module "INCLUDE">
<![%msgexplan.module;[
<!ENTITY % msgexplan.role.attrib "%role.attrib;">
<!ELEMENT MsgExplan (Title?, (%component.mix;)+)>
<!ATTLIST MsgExplan
		%common.attrib;
		%msgexplan.role.attrib;
		
>
]]>
]]>
<!ENTITY % procedure.content.module "INCLUDE">
<![%procedure.content.module;[
<!ENTITY % procedure.module "INCLUDE">
<![%procedure.module;[
<!ENTITY % procedure.role.attrib "%role.attrib;">
<!ELEMENT Procedure ((%formalobject.title.content;)?,
	(%component.mix;)*, Step+)>
<!ATTLIST Procedure
		%common.attrib;
		%procedure.role.attrib;
		
>
]]>
<!ENTITY % step.module "INCLUDE">
<![%step.module;[
<!ENTITY % step.role.attrib "%role.attrib;">
<!ELEMENT Step (Title?, (((%component.mix;)+, (SubSteps,
		(%component.mix;)*)?) | (SubSteps, (%component.mix;)*)))>
<!ATTLIST Step
		
		Performance	(Optional
				|Required)	"Required" 
		%common.attrib;
		%step.role.attrib;
		
>
]]>
<!ENTITY % substeps.module "INCLUDE">
<![%substeps.module;[
<!ENTITY % substeps.role.attrib "%role.attrib;">
<!ELEMENT SubSteps (Step+)>
<!ATTLIST SubSteps
		
		Performance	(Optional
				|Required)	"Required" 
		%common.attrib;
		%substeps.role.attrib;
		
>
]]>
]]>
<!ENTITY % sidebar.module "INCLUDE">
<![%sidebar.module;[
<!ENTITY % sidebar.role.attrib "%role.attrib;">
<!ELEMENT Sidebar ((%formalobject.title.content;)?, (%sidebar.mix;)+)>
<!ATTLIST Sidebar
		%common.attrib;
		%sidebar.role.attrib;
		
>
]]>
<!ENTITY % abstract.module "INCLUDE">
<![%abstract.module;[
<!ENTITY % abstract.role.attrib "%role.attrib;">
<!ELEMENT Abstract (Title?, (%para.class;)+)>
<!ATTLIST Abstract
		%common.attrib;
		%abstract.role.attrib;
		
>
]]>
<!ENTITY % authorblurb.module "INCLUDE">
<![%authorblurb.module;[
<!ENTITY % authorblurb.role.attrib "%role.attrib;">
<!ELEMENT AuthorBlurb (Title?, (%para.class;)+)>
<!ATTLIST AuthorBlurb
		%common.attrib;
		%authorblurb.role.attrib;
		
>
]]>
<!ENTITY % blockquote.module "INCLUDE">
<![%blockquote.module;[
<!ENTITY % blockquote.role.attrib "%role.attrib;">
<!ELEMENT BlockQuote (Title?, Attribution?, (%component.mix;)+)>
<!ATTLIST BlockQuote
		%common.attrib;
		%blockquote.role.attrib;
		
>
]]>
<!ENTITY % attribution.module "INCLUDE">
<![%attribution.module;[
<!ENTITY % attribution.role.attrib "%role.attrib;">
<!ELEMENT Attribution (%para.char.mix;)*>
<!ATTLIST Attribution
		%common.attrib;
		%attribution.role.attrib;
		
>
]]>
<!ENTITY % bridgehead.module "INCLUDE">
<![%bridgehead.module;[
<!ENTITY % bridgehead.role.attrib "%role.attrib;">
<!ELEMENT BridgeHead (%title.char.mix;)*>
<!ATTLIST BridgeHead
		
		Renderas	(Other
				|Sect1
				|Sect2
				|Sect3
				|Sect4
				|Sect5)		#IMPLIED
		%common.attrib;
		%bridgehead.role.attrib;
		
>
]]>
<!ENTITY % comment.module "INCLUDE">
<![%comment.module;[
<!ENTITY % comment.role.attrib "%role.attrib;">
<!ELEMENT Comment (%para.char.mix;)* >
<!ATTLIST Comment
		%common.attrib;
		%comment.role.attrib;
		
>
]]>
<!ENTITY % epigraph.module "INCLUDE">
<![%epigraph.module;[
<!ENTITY % epigraph.role.attrib "%role.attrib;">
<!ELEMENT Epigraph (Attribution?, (%para.class;)+)>
<!ATTLIST Epigraph
		%common.attrib;
		%epigraph.role.attrib;
		
>
]]>
<!ENTITY % footnote.module "INCLUDE">
<![%footnote.module;[
<!ENTITY % footnote.role.attrib "%role.attrib;">
<!ELEMENT Footnote (%footnote.mix;)* >
<!ATTLIST Footnote
		%label.attrib;
		%common.attrib;
		%footnote.role.attrib;
		
>
]]>
<!ENTITY % highlights.module "INCLUDE">
<![%highlights.module;[
<!ENTITY % highlights.role.attrib "%role.attrib;">
<!ELEMENT Highlights (%highlights.mix;)* >
<!ATTLIST Highlights
		%common.attrib;
		%highlights.role.attrib;
		
>
]]>
<!ENTITY % formalpara.module "INCLUDE">
<![%formalpara.module;[
<!ENTITY % formalpara.role.attrib "%role.attrib;">
<!ELEMENT FormalPara (Title, Para)>
<!ATTLIST FormalPara
		%common.attrib;
		%formalpara.role.attrib;
		
>
]]>
<!ENTITY % para.module "INCLUDE">
<![%para.module;[
<!ENTITY % para.role.attrib "%role.attrib;">
<!ELEMENT Para (%para.char.mix; | %para.mix;)*>
<!ATTLIST Para
		%common.attrib;
		%para.role.attrib;
		
>
]]>
<!ENTITY % simpara.module "INCLUDE">
<![%simpara.module;[
<!ENTITY % simpara.role.attrib "%role.attrib;">
<!ELEMENT SimPara (%para.char.mix;)*>
<!ATTLIST SimPara
		%common.attrib;
		%simpara.role.attrib;
		
>
]]>
<!ENTITY % admon.module "INCLUDE">
<![%admon.module;[
<!ENTITY % admon.role.attrib "%role.attrib;">
<!ELEMENT Caution  (Title?, (%admon.mix;)+) >
<!ATTLIST Caution 
		%common.attrib;
		%admon.role.attrib;
		
 >
<!ELEMENT Important  (Title?, (%admon.mix;)+) >
<!ATTLIST Important 
		%common.attrib;
		%admon.role.attrib;
		
 >
<!ELEMENT Note  (Title?, (%admon.mix;)+) >
<!ATTLIST Note 
		%common.attrib;
		%admon.role.attrib;
		
 >
<!ELEMENT Tip  (Title?, (%admon.mix;)+) >
<!ATTLIST Tip 
		%common.attrib;
		%admon.role.attrib;
		
 >
<!ELEMENT Warning  (Title?, (%admon.mix;)+) >
<!ATTLIST Warning 
		%common.attrib;
		%admon.role.attrib;
		
 >
]]>
<!ENTITY % glosslist.module "INCLUDE">
<![%glosslist.module;[
<!ENTITY % glosslist.role.attrib "%role.attrib;">
<!ELEMENT GlossList (GlossEntry+)>
<!ATTLIST GlossList
		%common.attrib;
		%glosslist.role.attrib;
		
>
]]>
<!ENTITY % glossentry.content.module "INCLUDE">
<![%glossentry.content.module;[
<!ENTITY % glossentry.module "INCLUDE">
<![%glossentry.module;[
<!ENTITY % glossentry.role.attrib "%role.attrib;">
<!ELEMENT GlossEntry (GlossTerm, Acronym?, Abbrev?, (GlossSee|GlossDef+))>
<!ATTLIST GlossEntry
		
		SortAs		CDATA		#IMPLIED
		%common.attrib;
		%glossentry.role.attrib;
		
>
]]>
<!ENTITY % glossdef.module "INCLUDE">
<![%glossdef.module;[
<!ENTITY % glossdef.role.attrib "%role.attrib;">
<!ELEMENT GlossDef ((%glossdef.mix;)+, GlossSeeAlso*)>
<!ATTLIST GlossDef
		
		Subject		CDATA		#IMPLIED
		%common.attrib;
		%glossdef.role.attrib;
		
>
]]>
<!ENTITY % glosssee.module "INCLUDE">
<![%glosssee.module;[
<!ENTITY % glosssee.role.attrib "%role.attrib;">
<!ELEMENT GlossSee (%para.char.mix;)*>
<!ATTLIST GlossSee
		
		OtherTerm	IDREF		#IMPLIED
		%common.attrib;
		%glosssee.role.attrib;
		
>
]]>
<!ENTITY % glossseealso.module "INCLUDE">
<![%glossseealso.module;[
<!ENTITY % glossseealso.role.attrib "%role.attrib;">
<!ELEMENT GlossSeeAlso (%para.char.mix;)*>
<!ATTLIST GlossSeeAlso
		
		OtherTerm	IDREF		#IMPLIED
		%common.attrib;
		%glossseealso.role.attrib;
		
>
]]>
]]>
<!ENTITY % itemizedlist.module "INCLUDE">
<![%itemizedlist.module;[
<!ENTITY % itemizedlist.role.attrib "%role.attrib;">
<!ELEMENT ItemizedList (ListItem+)>
<!ATTLIST ItemizedList	
		
		Spacing		(Normal
				|Compact)	#IMPLIED
		
		%mark.attrib;
		%common.attrib;
		%itemizedlist.role.attrib;
		
>
]]>
<!ENTITY % orderedlist.module "INCLUDE">
<![%orderedlist.module;[
<!ENTITY % orderedlist.role.attrib "%role.attrib;">
<!ELEMENT OrderedList (ListItem+)>
<!ATTLIST OrderedList
		
		Numeration	(Arabic
				|Upperalpha
				|Loweralpha
				|Upperroman
				|Lowerroman)	#IMPLIED
		
		InheritNum	(Inherit
				|Ignore)	"Ignore"
		
		Continuation	(Continues
				|Restarts)	"Restarts"
		
		Spacing		(Normal
				|Compact)	#IMPLIED
		%common.attrib;
		%orderedlist.role.attrib;
		
>
]]>
<!ENTITY % listitem.module "INCLUDE">
<![%listitem.module;[
<!ENTITY % listitem.role.attrib "%role.attrib;">
<!ELEMENT ListItem (%component.mix;)*>
<!ATTLIST ListItem
		
		Override	CDATA		#IMPLIED
		%common.attrib;
		%listitem.role.attrib;
		
>
]]>
<!ENTITY % segmentedlist.content.module "INCLUDE">
<![%segmentedlist.content.module;[
<!ENTITY % segmentedlist.module "INCLUDE">
<![%segmentedlist.module;[
<!ENTITY % segmentedlist.role.attrib "%role.attrib;">
<!ELEMENT SegmentedList ((%formalobject.title.content;)?, SegTitle*,
		SegListItem+)>
<!ATTLIST SegmentedList
		%common.attrib;
		%segmentedlist.role.attrib;
		
>
]]>
<!ENTITY % segtitle.module "INCLUDE">
<![%segtitle.module;[
<!ENTITY % segtitle.role.attrib "%role.attrib;">
<!ELEMENT SegTitle (%title.char.mix;)*>
<!ATTLIST SegTitle
		%common.attrib;
		%segtitle.role.attrib;
		
>
]]>
<!ENTITY % seglistitem.module "INCLUDE">
<![%seglistitem.module;[
<!ENTITY % seglistitem.role.attrib "%role.attrib;">
<!ELEMENT SegListItem (Seg, Seg+)>
<!ATTLIST SegListItem
		%common.attrib;
		%seglistitem.role.attrib;
		
>
]]>
<!ENTITY % seg.module "INCLUDE">
<![%seg.module;[
<!ENTITY % seg.role.attrib "%role.attrib;">
<!ELEMENT Seg (%para.char.mix;)*>
<!ATTLIST Seg
		%common.attrib;
		%seg.role.attrib;
		
>
]]>
]]>
<!ENTITY % simplelist.content.module "INCLUDE">
<![%simplelist.content.module;[
<!ENTITY % simplelist.module "INCLUDE">
<![%simplelist.module;[
<!ENTITY % simplelist.role.attrib "%role.attrib;">
<!ELEMENT SimpleList (Member+)>
<!ATTLIST SimpleList
		
		Columns		CDATA		#IMPLIED
		
		Type		(Inline
				|Vert
				|Horiz)		"Vert"
		%common.attrib;
		%simplelist.role.attrib;
		
>
]]>
<!ENTITY % member.module "INCLUDE">
<![%member.module;[
<!ENTITY % member.role.attrib "%role.attrib;">
<!ELEMENT Member (%para.char.mix;)*>
<!ATTLIST Member
		%common.attrib;
		%member.role.attrib;
		
>
]]>
]]>
<!ENTITY % variablelist.content.module "INCLUDE">
<![%variablelist.content.module;[
<!ENTITY % variablelist.module "INCLUDE">
<![%variablelist.module;[
<!ENTITY % variablelist.role.attrib "%role.attrib;">
<!ELEMENT VariableList ((%formalobject.title.content;)?, VarListEntry+)>
<!ATTLIST VariableList
		
		TermLength	CDATA		#IMPLIED
		%common.attrib;
		%variablelist.role.attrib;
		
>
]]>
<!ENTITY % varlistentry.module "INCLUDE">
<![%varlistentry.module;[
<!ENTITY % varlistentry.role.attrib "%role.attrib;">
<!ELEMENT VarListEntry (Term+, ListItem)>
<!ATTLIST VarListEntry
		%common.attrib;
		%varlistentry.role.attrib;
		
>
]]>
<!ENTITY % term.module "INCLUDE">
<![%term.module;[
<!ENTITY % term.role.attrib "%role.attrib;">
<!ELEMENT Term (%para.char.mix;)*>
<!ATTLIST Term
		%common.attrib;
		%term.role.attrib;
		
>
]]>
]]>
<!ENTITY % calloutlist.content.module "INCLUDE">
<![%calloutlist.content.module;[
<!ENTITY % calloutlist.module "INCLUDE">
<![%calloutlist.module;[
<!ENTITY % calloutlist.role.attrib "%role.attrib;">
<!ELEMENT CalloutList ((%formalobject.title.content;)?, Callout+)>
<!ATTLIST CalloutList
		%common.attrib;
		%calloutlist.role.attrib;
		
>
]]>
<!ENTITY % callout.module "INCLUDE">
<![%callout.module;[
<!ENTITY % callout.role.attrib "%role.attrib;">
<!ELEMENT Callout (%component.mix;)*>
<!ATTLIST Callout
		
		AreaRefs	IDREFS		#REQUIRED
		%common.attrib;
		%callout.role.attrib;
		
>
]]>
]]>
<!ENTITY % example.module "INCLUDE">
<![%example.module;[
<!ENTITY % example.role.attrib "%role.attrib;">
<!ELEMENT Example ((%formalobject.title.content;), (%example.mix;)+)
		>
<!ATTLIST Example
		%label.attrib;
		%width.attrib;
		%common.attrib;
		%example.role.attrib;
		
>
]]>
<!ENTITY % informalexample.module "INCLUDE">
<![%informalexample.module;[
<!ENTITY % informalexample.role.attrib "%role.attrib;">
<!ELEMENT InformalExample (%example.mix;)*>
<!ATTLIST InformalExample
		%width.attrib;
		%common.attrib;
		%informalexample.role.attrib;
		
>
]]>
<!ENTITY % programlistingco.module "INCLUDE">
<![%programlistingco.module;[
<!ENTITY % programlistingco.role.attrib "%role.attrib;">
<!ELEMENT ProgramListingCO (AreaSpec, ProgramListing, CalloutList*)>
<!ATTLIST ProgramListingCO
		%common.attrib;
		%programlistingco.role.attrib;
		
>
]]>
<!ENTITY % areaspec.content.module "INCLUDE">
<![%areaspec.content.module;[
<!ENTITY % areaspec.module "INCLUDE">
<![%areaspec.module;[
<!ENTITY % areaspec.role.attrib "%role.attrib;">
<!ELEMENT AreaSpec ((Area|AreaSet)+)>
<!ATTLIST AreaSpec
		
		Units		(CALSPair
				|LineColumn
				|LineRange
				|LineColumnPair
				|Other)		#IMPLIED
		
		OtherUnits	CDATA		#IMPLIED
		%common.attrib;
		%areaspec.role.attrib;
		
>
]]>
<!ENTITY % area.module "INCLUDE">
<![%area.module;[
<!ENTITY % area.role.attrib "%role.attrib;">
<!ELEMENT Area EMPTY>
<!ATTLIST Area
		%label.attrib; 
		%linkends.attrib; 
		
		Units		(CALSPair
				|LineColumn
				|LineRange
				|LineColumnPair
				|Other)		#IMPLIED
		
		OtherUnits	CDATA		#IMPLIED
		Coords		CDATA		#REQUIRED
		%idreq.common.attrib;
		%area.role.attrib;
		
>
]]>
<!ENTITY % areaset.module "INCLUDE">
<![%areaset.module;[
<!ENTITY % areaset.role.attrib "%role.attrib;">
<!ELEMENT AreaSet (Area+)>
<!ATTLIST AreaSet
		%label.attrib; 
		
		Units		(CALSPair
				|LineColumn
				|LineRange
				|LineColumnPair
				|Other)		#IMPLIED
		OtherUnits	CDATA		#IMPLIED
		Coords		CDATA		#REQUIRED
		%idreq.common.attrib;
		%areaset.role.attrib;
		
>
]]>
]]>
<!ENTITY % programlisting.module "INCLUDE">
<![%programlisting.module;[
<!ENTITY % programlisting.role.attrib "%role.attrib;">
<!ELEMENT ProgramListing (%programlisting.content;)*>
<!ATTLIST ProgramListing
		%width.attrib;
		%linespecific.attrib;
		%common.attrib;
		%programlisting.role.attrib;
		
>
]]>
<!ENTITY % literallayout.module "INCLUDE">
<![%literallayout.module;[
<!ENTITY % literallayout.role.attrib "%role.attrib;">
<!ELEMENT LiteralLayout (%para.char.mix; | LineAnnotation )*>
<!ATTLIST LiteralLayout
		%width.attrib;
		%linespecific.attrib;
		%common.attrib;
		%literallayout.role.attrib;
		
>
]]>
<!ENTITY % screenco.module "INCLUDE">
<![%screenco.module;[
<!ENTITY % screenco.role.attrib "%role.attrib;">
<!ELEMENT ScreenCO (AreaSpec, Screen, CalloutList*)>
<!ATTLIST ScreenCO
		%common.attrib;
		%screenco.role.attrib;
		
>
]]>
<!ENTITY % screen.module "INCLUDE">
<![%screen.module;[
<!ENTITY % screen.role.attrib "%role.attrib;">
<!ELEMENT Screen (%screen.content;)*>
<!ATTLIST Screen
		%width.attrib;
		%linespecific.attrib;
		%common.attrib;
		%screen.role.attrib;
		
>
]]>
<!ENTITY % screenshot.content.module "INCLUDE">
<![%screenshot.content.module;[
<!ENTITY % screenshot.module "INCLUDE">
<![%screenshot.module;[
<!ENTITY % screenshot.role.attrib "%role.attrib;">
<!ELEMENT ScreenShot (ScreenInfo?, (Graphic|GraphicCO))>
<!ATTLIST ScreenShot
		%common.attrib;
		%screenshot.role.attrib;
		
>
]]>
<!ENTITY % screeninfo.module "INCLUDE">
<![%screeninfo.module;[
<!ENTITY % screeninfo.role.attrib "%role.attrib;">
<!ELEMENT ScreenInfo (%para.char.mix;)* >
<!ATTLIST ScreenInfo
		%common.attrib;
		%screeninfo.role.attrib;
		
>
]]>
]]>
<!ENTITY % figure.module "INCLUDE">
<![%figure.module;[
<!ENTITY % figure.role.attrib "%role.attrib;">
<!ELEMENT Figure ((%formalobject.title.content;), (%figure.mix; |
		%link.char.class;)+)>
<!ATTLIST Figure
		
		Float		%yesorno.attvals;	%no.attval;
		%label.attrib;
		%common.attrib;
		%figure.role.attrib;
		
>
]]>
<!ENTITY % graphicco.module "INCLUDE">
<![%graphicco.module;[
<!ENTITY % graphicco.role.attrib "%role.attrib;">
<!ELEMENT GraphicCO (AreaSpec, Graphic, CalloutList*)>
<!ATTLIST GraphicCO
		%common.attrib;
		%graphicco.role.attrib;
		
>
]]>
<!ENTITY % graphic.module "INCLUDE">
<![%graphic.module;[
<!ENTITY % graphic.role.attrib "%role.attrib;">
<!ELEMENT Graphic EMPTY>
<!ATTLIST Graphic
		%graphics.attrib;
		%common.attrib;
		%graphic.role.attrib;
		
>
]]>
<!ENTITY % inlinegraphic.module "INCLUDE">
<![%inlinegraphic.module;[
<!ENTITY % inlinegraphic.role.attrib "%role.attrib;">
<!ELEMENT InlineGraphic EMPTY>
<!ATTLIST InlineGraphic
		%graphics.attrib;
		%common.attrib;
		%inlinegraphic.role.attrib;
		
>
]]>
<!ENTITY % equation.module "INCLUDE">
<![%equation.module;[
<!ENTITY % equation.role.attrib "%role.attrib;">
<!ELEMENT Equation ((%formalobject.title.content;)?, (InformalEquation |
		(Alt?, %equation.content;)))>
<!ATTLIST Equation
		%label.attrib;
	 	%common.attrib;
		%equation.role.attrib;
		
>
]]>
<!ENTITY % informalequation.module "INCLUDE">
<![%informalequation.module;[
<!ENTITY % informalequation.role.attrib "%role.attrib;">
<!ELEMENT InformalEquation (Alt?, %equation.content;)>
<!ATTLIST InformalEquation
		%common.attrib;
		%informalequation.role.attrib;
		
>
]]>
<!ENTITY % inlineequation.module "INCLUDE">
<![%inlineequation.module;[
<!ENTITY % inlineequation.role.attrib "%role.attrib;">
<!ELEMENT InlineEquation (Alt?, %inlineequation.content;)>
<!ATTLIST InlineEquation
		%common.attrib;
		%inlineequation.role.attrib;
		
>
]]>
<!ENTITY % alt.module "INCLUDE">
<![%alt.module;[
<!ENTITY % alt.role.attrib "%role.attrib;">
<!ELEMENT Alt (#PCDATA)>
<!ATTLIST Alt 
		%common.attrib;
		%alt.role.attrib;
		
>
]]>
<!ENTITY % table.module "INCLUDE">
<![%table.module;[
<!ENTITY % tables.role.attrib "%role.attrib;">
<!ENTITY % bodyatt "%label.attrib;">
<!ENTITY % secur
	"%common.attrib;
	%tables.role.attrib;">
<!ENTITY % tbl.table.name "Table">
<!ENTITY % tbl.table.mdl
	"((%formalobject.title.content;), (Graphic+|TGroup+))">
<!ENTITY % tbl.table.excep "">
<!ENTITY % tbl.row.excep "">
<!ENTITY % tbl.entry.mdl "(%para.char.mix; | %tabentry.mix;)*">
<!ENTITY % tbl.entry.excep "">
<!ENTITY % tbl.entrytbl.excep "">
<!ENTITY % calstbls PUBLIC "-//USA-DOD//DTD Table Model 951010//EN" "xcalstbl.dtd">
%calstbls;
]]>
<!ENTITY % informaltable.module "INCLUDE">
<![%informaltable.module;[
<!ELEMENT InformalTable (Graphic+|TGroup+) %tbl.table.excep;>
<!ATTLIST InformalTable
		
		Frame		(Top
				|Bottom
				|Topbot
				|All
				|Sides
				|None)			#IMPLIED
		Colsep		%yesorno.attvals;	#IMPLIED
		Rowsep		%yesorno.attvals;	#IMPLIED
		%tbl.table.att; 
		%bodyatt; 
		%secur; 
		
>
]]>
<!ENTITY % synopsis.module "INCLUDE">
<![%synopsis.module;[
<!ENTITY % synopsis.role.attrib "%role.attrib;">
<!ELEMENT Synopsis (%para.char.mix; | LineAnnotation | Graphic)*>
<!ATTLIST Synopsis
		%label.attrib;
		%linespecific.attrib;
		%common.attrib;
		%synopsis.role.attrib;
		
>
]]>
<!ENTITY % cmdsynopsis.content.module "INCLUDE">
<![%cmdsynopsis.content.module;[
<!ENTITY % cmdsynopsis.module "INCLUDE">
<![%cmdsynopsis.module;[
<!ENTITY % cmdsynopsis.role.attrib "%role.attrib;">
<!ELEMENT CmdSynopsis ((Command | Arg | Group | SBR)+, SynopFragment*)>
<!ATTLIST CmdSynopsis
		%label.attrib;
		
		Sepchar		CDATA		" "
		%common.attrib;
		%cmdsynopsis.role.attrib;
		
>
]]>
<!ENTITY % arg.module "INCLUDE">
<![%arg.module;[
<!ENTITY % arg.role.attrib "%role.attrib;">
<!ELEMENT Arg (#pcdata 
		| Arg 
		| Group 
		| Option 
		| SynopFragmentRef 
		| Replaceable
		| SBR)*>
<!ATTLIST Arg
		
		Choice		(Opt
				|Req
				|Plain)		"Opt"
		
		Rep		(Norepeat
				|Repeat)	"Norepeat"
		%common.attrib;
		%arg.role.attrib;
		
>
]]>
<!ENTITY % group.module "INCLUDE">
<![%group.module;[
<!ENTITY % group.role.attrib "%role.attrib;">
<!ELEMENT Group ((Arg | Group | Option | SynopFragmentRef 
		| Replaceable | SBR)+)>
<!ATTLIST Group
		
		Choice		(Opt
				|Req
				|Plain
				|Optmult
				|Reqmult)	"Opt"
		
		Rep		(Norepeat
				|Repeat)	"Norepeat"
		%common.attrib;
		%group.role.attrib;
		
>
]]>
<!ENTITY % sbr.module "INCLUDE">
<![%sbr.module;[
<!ENTITY % sbr.role.attrib "%role.attrib;">
<!ELEMENT SBR EMPTY>
<!ATTLIST SBR
		%common.attrib;
		%sbr.role.attrib;
		
>
]]>
<!ENTITY % synopfragmentref.module "INCLUDE">
<![%synopfragmentref.module;[
<!ENTITY % synopfragmentref.role.attrib "%role.attrib;">
<!ELEMENT SynopFragmentRef (#PCDATA) >
<!ATTLIST SynopFragmentRef
		%linkendreq.attrib; 
		%common.attrib;
		%synopfragmentref.role.attrib;
		
>
]]>
<!ENTITY % synopfragment.module "INCLUDE">
<![%synopfragment.module;[
<!ENTITY % synopfragment.role.attrib "%role.attrib;">
<!ELEMENT SynopFragment ((Arg | Group)+)>
<!ATTLIST SynopFragment
		%idreq.common.attrib;
		%synopfragment.role.attrib;
		
>
]]>
]]>
<!ENTITY % funcsynopsis.content.module "INCLUDE">
<![%funcsynopsis.content.module;[
<!ENTITY % funcsynopsis.module "INCLUDE">
<![%funcsynopsis.module;[
<!ENTITY % funcsynopsis.role.attrib "%role.attrib;">
<!ELEMENT FuncSynopsis (FuncSynopsisInfo?, (FuncPrototype+ |
		(FuncDef, (Void | VarArgs | ParamDef+))+), FuncSynopsisInfo?)>
<!ATTLIST FuncSynopsis
		%label.attrib;
		%common.attrib;
		%funcsynopsis.role.attrib;
		
>
]]>
<!ENTITY % funcsynopsisinfo.module "INCLUDE">
<![%funcsynopsisinfo.module;[
<!ENTITY % funcsynopsisinfo.role.attrib "%role.attrib;">
<!ELEMENT FuncSynopsisInfo (%cptr.char.mix; | LineAnnotation )*>
<!ATTLIST FuncSynopsisInfo
		%linespecific.attrib;
		%common.attrib;
		%funcsynopsisinfo.role.attrib;
		
>
]]>
<!ENTITY % funcprototype.module "INCLUDE">
<![%funcprototype.module;[
<!ENTITY % funcprototype.role.attrib "%role.attrib;">
<!ELEMENT FuncPrototype (FuncDef, (Void | VarArgs | ParamDef+))>
<!ATTLIST FuncPrototype
		%common.attrib;
		%funcprototype.role.attrib;
		
>
]]>
<!ENTITY % funcdef.module "INCLUDE">
<![%funcdef.module;[
<!ENTITY % funcdef.role.attrib "%role.attrib;">
<!ELEMENT FuncDef (#PCDATA 
		| Replaceable 
		| Function)*>
<!ATTLIST FuncDef
		%common.attrib;
		%funcdef.role.attrib;
		
>
]]>
<!ENTITY % void.module "INCLUDE">
<![%void.module;[
<!ENTITY % void.role.attrib "%role.attrib;">
<!ELEMENT Void EMPTY>
<!ATTLIST Void
		%common.attrib;
		%void.role.attrib;
		
>
]]>
<!ENTITY % varargs.module "INCLUDE">
<![%varargs.module;[
<!ENTITY % varargs.role.attrib "%role.attrib;">
<!ELEMENT VarArgs EMPTY>
<!ATTLIST VarArgs
		%common.attrib;
		%varargs.role.attrib;
		
>
]]>
<!ENTITY % paramdef.module "INCLUDE">
<![%paramdef.module;[
<!ENTITY % paramdef.role.attrib "%role.attrib;">
<!ELEMENT ParamDef (#PCDATA 
		| Replaceable 
		| Parameter 
		| FuncParams)*>
<!ATTLIST ParamDef
		%common.attrib;
		%paramdef.role.attrib;
		
>
]]>
<!ENTITY % funcparams.module "INCLUDE">
<![%funcparams.module;[
<!ENTITY % funcparams.role.attrib "%role.attrib;">
<!ELEMENT FuncParams (%cptr.char.mix;)*>
<!ATTLIST FuncParams
		%common.attrib;
		%funcparams.role.attrib;
		
>
]]>
]]>
<!ENTITY % docinfo.content.module "INCLUDE">
<![%docinfo.content.module;[
<!ENTITY % ackno.module "INCLUDE">
<![%ackno.module;[
<!ENTITY % ackno.role.attrib "%role.attrib;">
<!ELEMENT Ackno (%docinfo.char.mix;)*>
<!ATTLIST Ackno
		%common.attrib;
		%ackno.role.attrib;
		
>
]]>
<!ENTITY % address.content.module "INCLUDE">
<![%address.content.module;[
<!ENTITY % address.module "INCLUDE">
<![%address.module;[
<!ENTITY % address.role.attrib "%role.attrib;">
<!ELEMENT Address (#PCDATA|Street|POB|Postcode|City|State|Country|Phone
		|Fax|Email|OtherAddr)*>
<!ATTLIST Address
		%linespecific.attrib;
		%common.attrib;
		%address.role.attrib;
		
>
]]>
  <!ENTITY % street.module "INCLUDE">
  <![%street.module;[
 
  <!ENTITY % street.role.attrib "%role.attrib;">
  <!ELEMENT Street (%docinfo.char.mix;)*>
  <!ATTLIST Street
		%common.attrib;
		%street.role.attrib;
		
>
  ]]>
  <!ENTITY % pob.module "INCLUDE">
  <![%pob.module;[
  
  <!ENTITY % pob.role.attrib "%role.attrib;">
  <!ELEMENT POB (%docinfo.char.mix;)*>
  <!ATTLIST POB
		%common.attrib;
		%pob.role.attrib;
		
>
  ]]>
  <!ENTITY % postcode.module "INCLUDE">
  <![%postcode.module;[
  
  <!ENTITY % postcode.role.attrib "%role.attrib;">
  <!ELEMENT Postcode (%docinfo.char.mix;)*>
  <!ATTLIST Postcode
		%common.attrib;
		%postcode.role.attrib;
		
>
  ]]>
  <!ENTITY % city.module "INCLUDE">
  <![%city.module;[
  
  <!ENTITY % city.role.attrib "%role.attrib;">
  <!ELEMENT City (%docinfo.char.mix;)*>
  <!ATTLIST City
		%common.attrib;
		%city.role.attrib;
		
>
  ]]>
  <!ENTITY % state.module "INCLUDE">
  <![%state.module;[
  
  <!ENTITY % state.role.attrib "%role.attrib;">
  <!ELEMENT State (%docinfo.char.mix;)*>
  <!ATTLIST State
		%common.attrib;
		%state.role.attrib;
		
>
  ]]>
  <!ENTITY % country.module "INCLUDE">
  <![%country.module;[
  
  <!ENTITY % country.role.attrib "%role.attrib;">
  <!ELEMENT Country (%docinfo.char.mix;)*>
  <!ATTLIST Country
		%common.attrib;
		%role.attrib;
		
>
  ]]>
  <!ENTITY % phone.module "INCLUDE">
  <![%phone.module;[
  
  <!ENTITY % phone.role.attrib "%role.attrib;">
  <!ELEMENT Phone (%docinfo.char.mix;)*>
  <!ATTLIST Phone
		%common.attrib;
		%phone.role.attrib;
		
>
  ]]>
  <!ENTITY % fax.module "INCLUDE">
  <![%fax.module;[
  
  <!ENTITY % fax.role.attrib "%role.attrib;">
  <!ELEMENT Fax (%docinfo.char.mix;)*>
  <!ATTLIST Fax
		%common.attrib;
		%fax.role.attrib;
		
>
  ]]>
  
  <!ENTITY % otheraddr.module "INCLUDE">
  <![%otheraddr.module;[
  
  <!ENTITY % otheraddr.role.attrib "%role.attrib;">
  <!ELEMENT OtherAddr (%docinfo.char.mix;)*>
  <!ATTLIST OtherAddr
		%common.attrib;
		%otheraddr.role.attrib;
		
>
  ]]>
]]>
<!ENTITY % affiliation.content.module "INCLUDE">
<![%affiliation.content.module;[
<!ENTITY % affiliation.module "INCLUDE">
<![%affiliation.module;[
<!ENTITY % affilication.role.attrib "%role.attrib;">
<!ELEMENT Affiliation (ShortAffil?, JobTitle*, OrgName?, OrgDiv*,
		Address*)>
<!ATTLIST Affiliation
		%common.attrib;
		%affilication.role.attrib;
		
>
]]>
  <!ENTITY % shortaffil.module "INCLUDE">
  <![%shortaffil.module;[
  
  <!ENTITY % shortaffil.role.attrib "%role.attrib;">
  <!ELEMENT ShortAffil (%docinfo.char.mix;)*>
  <!ATTLIST ShortAffil
		%common.attrib;
		%shortaffil.role.attrib;
		
>
  ]]>
  <!ENTITY % jobtitle.module "INCLUDE">
  <![%jobtitle.module;[
  
  <!ENTITY % jobtitle.role.attrib "%role.attrib;">
  <!ELEMENT JobTitle (%docinfo.char.mix;)*>
  <!ATTLIST JobTitle
		%common.attrib;
		%jobtitle.role.attrib;
		
>
  ]]>
  
  <!ENTITY % orgdiv.module "INCLUDE">
  <![%orgdiv.module;[
  
  <!ENTITY % orgdiv.role.attrib "%role.attrib;">
  <!ELEMENT OrgDiv (%docinfo.char.mix;)*>
  <!ATTLIST OrgDiv
		%common.attrib;
		%orgdiv.role.attrib;
		
>
  ]]>
  
]]>
<!ENTITY % artpagenums.module "INCLUDE">
<![%artpagenums.module;[
<!ENTITY % argpagenums.role.attrib "%role.attrib;">
<!ELEMENT ArtPageNums (%docinfo.char.mix;)*>
<!ATTLIST ArtPageNums
		%common.attrib;
		%argpagenums.role.attrib;
		
>
]]>
<!ENTITY % author.module "INCLUDE">
<![%author.module;[
<!ENTITY % author.role.attrib "%role.attrib;">
<!ELEMENT Author (%person.ident.mix;)*>
<!ATTLIST Author
		%common.attrib;
		%author.role.attrib;
		
>
]]>
<!ENTITY % authorgroup.content.module "INCLUDE">
<![%authorgroup.content.module;[
<!ENTITY % authorgroup.module "INCLUDE">
<![%authorgroup.module;[
<!ENTITY % authorgroup.role.attrib "%role.attrib;">
<!ELEMENT AuthorGroup ((Author|Editor|Collab|CorpAuthor|OtherCredit)+)>
<!ATTLIST AuthorGroup
		%common.attrib;
		%authorgroup.role.attrib;
		
>
]]>
  
  
  <!ENTITY % collab.content.module "INCLUDE">
  <![%collab.content.module;[
  <!ENTITY % collab.module "INCLUDE">
  <![%collab.module;[
  
  <!ENTITY % collab.role.attrib "%role.attrib;">
  <!ELEMENT Collab (CollabName, Affiliation*)>
  <!ATTLIST Collab
		%common.attrib;
		%collab.role.attrib;
		
>
  ]]>
    <!ENTITY % collabname.module "INCLUDE">
  <![%collabname.module;[
  
  <!ENTITY % collabname.role.attrib "%role.attrib;">
    <!ELEMENT CollabName (%docinfo.char.mix;)*>
    <!ATTLIST CollabName
		%common.attrib;
		%collabname.role.attrib;
		
>
    ]]>
    
  ]]>
  
  
]]>
<!ENTITY % authorinitials.module "INCLUDE">
<![%authorinitials.module;[
<!ENTITY % authorinitials.role.attrib "%role.attrib;">
<!ELEMENT AuthorInitials (%docinfo.char.mix;)*>
<!ATTLIST AuthorInitials
		%common.attrib;
		%authorinitials.role.attrib;
		
>
]]>
<!ENTITY % confgroup.content.module "INCLUDE">
<![%confgroup.content.module;[
<!ENTITY % confgroup.module "INCLUDE">
<![%confgroup.module;[
<!ENTITY % confgroup.role.attrib "%role.attrib;">
<!ELEMENT ConfGroup ((ConfDates|ConfTitle|ConfNum|Address|ConfSponsor)*)>
<!ATTLIST ConfGroup
		%common.attrib;
		%confgroup.role.attrib;
		
>
]]>
  <!ENTITY % confdates.module "INCLUDE">
  <![%confdates.module;[
  
  <!ENTITY % confdates.role.attrib "%role.attrib;">
  <!ELEMENT ConfDates (%docinfo.char.mix;)*>
  <!ATTLIST ConfDates
		%common.attrib;
		%confdates.role.attrib;
		
>
  ]]>
  <!ENTITY % conftitle.module "INCLUDE">
  <![%conftitle.module;[
  
  <!ENTITY % conftitle.role.attrib "%role.attrib;">
  <!ELEMENT ConfTitle (%docinfo.char.mix;)*>
  <!ATTLIST ConfTitle
		%common.attrib;
		%conftitle.role.attrib;
		
>
  ]]>
  <!ENTITY % confnum.module "INCLUDE">
  <![%confnum.module;[
  
  <!ENTITY % confnum.role.attrib "%role.attrib;">
  <!ELEMENT ConfNum (%docinfo.char.mix;)*>
  <!ATTLIST ConfNum
		%common.attrib;
		%confnum.role.attrib;
		
>
  ]]>
  
  <!ENTITY % confsponsor.module "INCLUDE">
  <![%confsponsor.module;[
  
  <!ENTITY % confsponsor.role.attrib "%role.attrib;">
  <!ELEMENT ConfSponsor (%docinfo.char.mix;)*>
  <!ATTLIST ConfSponsor
		%common.attrib;
		%confsponsor.role.attrib;
		
>
  ]]>
]]>
<!ENTITY % contractnum.module "INCLUDE">
<![%contractnum.module;[
<!ENTITY % contractnum.role.attrib "%role.attrib;">
<!ELEMENT ContractNum (%docinfo.char.mix;)*>
<!ATTLIST ContractNum
		%common.attrib;
		%contractnum.role.attrib;
		
>
]]>
<!ENTITY % contractsponsor.module "INCLUDE">
<![%contractsponsor.module;[
<!ENTITY % contractsponsor.role.attrib "%role.attrib;">
<!ELEMENT ContractSponsor (%docinfo.char.mix;)*>
<!ATTLIST ContractSponsor
		%common.attrib;
		%contractsponsor.role.attrib;
		
>
]]>
<!ENTITY % copyright.content.module "INCLUDE">
<![%copyright.content.module;[
<!ENTITY % copyright.module "INCLUDE">
<![%copyright.module;[
<!ENTITY % copyright.role.attrib "%role.attrib;">
<!ELEMENT Copyright (Year+, Holder*)>
<!ATTLIST Copyright
		%common.attrib;
		%copyright.role.attrib;
		
>
]]>
  <!ENTITY % year.module "INCLUDE">
  <![%year.module;[
  
  <!ENTITY % year.role.attrib "%role.attrib;">
  <!ELEMENT Year (%docinfo.char.mix;)*>
  <!ATTLIST Year
		%common.attrib;
		%year.role.attrib;
		
>
  ]]>
  <!ENTITY % holder.module "INCLUDE">
  <![%holder.module;[
  
  <!ENTITY % holder.role.attrib "%role.attrib;">
  <!ELEMENT Holder (%docinfo.char.mix;)*>
  <!ATTLIST Holder
		%common.attrib;
		%holder.role.attrib;
		
>
  ]]>
]]>
<!ENTITY % corpauthor.module "INCLUDE">
<![%corpauthor.module;[
<!ENTITY % corpauthor.role.attrib "%role.attrib;">
<!ELEMENT CorpAuthor (%docinfo.char.mix;)*>
<!ATTLIST CorpAuthor
		%common.attrib;
		%corpauthor.role.attrib;
		
>
]]>
<!ENTITY % corpname.module "INCLUDE">
<![%corpname.module;[
<!ELEMENT CorpName (%docinfo.char.mix;)*>
<!ENTITY % corpname.role.attrib "%role.attrib;">
<!ATTLIST CorpName
		%common.attrib;
		%corpname.role.attrib;
		
>
]]>
<!ENTITY % date.module "INCLUDE">
<![%date.module;[
<!ENTITY % date.role.attrib "%role.attrib;">
<!ELEMENT Date (%docinfo.char.mix;)*>
<!ATTLIST Date
		%common.attrib;
		%date.role.attrib;
		
>
]]>
<!ENTITY % edition.module "INCLUDE">
<![%edition.module;[
<!ENTITY % edition.role.attrib "%role.attrib;">
<!ELEMENT Edition (%docinfo.char.mix;)*>
<!ATTLIST Edition
		%common.attrib;
		%edition.role.attrib;
		
>
]]>
<!ENTITY % editor.module "INCLUDE">
<![%editor.module;[
<!ENTITY % editor.role.attrib "%role.attrib;">
<!ELEMENT Editor (%person.ident.mix;)*>
<!ATTLIST Editor
		%common.attrib;
		%editor.role.attrib;
		
>
  
]]>
<!ENTITY % isbn.module "INCLUDE">
<![%isbn.module;[
<!ENTITY % isbn.role.attrib "%role.attrib;">
<!ELEMENT ISBN (%docinfo.char.mix;)*>
<!ATTLIST ISBN
		%common.attrib;
		%isbn.role.attrib;
		
>
]]>
<!ENTITY % issn.module "INCLUDE">
<![%issn.module;[
<!ENTITY % issn.role.attrib "%role.attrib;">
<!ELEMENT ISSN (%docinfo.char.mix;)*>
<!ATTLIST ISSN
		%common.attrib;
		%issn.role.attrib;
		
>
]]>
<!ENTITY % invpartnumber.module "INCLUDE">
<![%invpartnumber.module;[
<!ENTITY % invpartnumber.role.attrib "%role.attrib;">
<!ELEMENT InvPartNumber (%docinfo.char.mix;)*>
<!ATTLIST InvPartNumber
		%common.attrib;
		%invpartnumber.role.attrib;
		
>
]]>
<!ENTITY % issuenum.module "INCLUDE">
<![%issuenum.module;[
<!ENTITY % issuenum.role.attrib "%role.attrib;">
<!ELEMENT IssueNum (%docinfo.char.mix;)*>
<!ATTLIST IssueNum
		%common.attrib;
		%issuenum.role.attrib;
		
>
]]>
<!ENTITY % legalnotice.module "INCLUDE">
<![%legalnotice.module;[
<!ENTITY % legalnotice.role.attrib "%role.attrib;">
<!ELEMENT LegalNotice (Title?, (%legalnotice.mix;)+) >
<!ATTLIST LegalNotice
		%common.attrib;
		%legalnotice.role.attrib;
		
>
]]>
<!ENTITY % modespec.module "INCLUDE">
<![%modespec.module;[
<!ENTITY % modespec.role.attrib "%role.attrib;">
<!ELEMENT ModeSpec (%docinfo.char.mix;)* >
<!ATTLIST ModeSpec
		
		Application	NOTATION
				(%notation.class;)	#IMPLIED
		%common.attrib;
		%modespec.role.attrib;
		
>
]]>
<!ENTITY % orgname.module "INCLUDE">
<![%orgname.module;[
<!ENTITY % orgname.role.attrib "%role.attrib;">
<!ELEMENT OrgName (%docinfo.char.mix;)*>
<!ATTLIST OrgName
		%common.attrib;
		%orgname.role.attrib;
		
>
]]>
<!ENTITY % othercredit.module "INCLUDE">
<![%othercredit.module;[
<!ENTITY % othercredit.role.attrib "%role.attrib;">
<!ELEMENT OtherCredit (%person.ident.mix;)*>
<!ATTLIST OtherCredit
		%common.attrib;
		%othercredit.role.attrib;
		
>
  
]]>
<!ENTITY % pagenums.module "INCLUDE">
<![%pagenums.module;[
<!ENTITY % pagenums.role.attrib "%role.attrib;">
<!ELEMENT PageNums (%docinfo.char.mix;)*>
<!ATTLIST PageNums
		%common.attrib;
		%pagenums.role.attrib;
		
>
]]>
<!ENTITY % person.ident.module "INCLUDE">
<![%person.ident.module;[
  <!ENTITY % contrib.module "INCLUDE">
  <![%contrib.module;[
  
  <!ENTITY % contrib.role.attrib "%role.attrib;">
  <!ELEMENT Contrib (%docinfo.char.mix;)*>
  <!ATTLIST Contrib
		%common.attrib;
		%contrib.role.attrib;
		
>
  ]]>
  <!ENTITY % firstname.module "INCLUDE">
  <![%firstname.module;[
  
  <!ENTITY % firstname.role.attrib "%role.attrib;">
  <!ELEMENT FirstName (%docinfo.char.mix;)*>
  <!ATTLIST FirstName
		%common.attrib;
		%firstname.role.attrib;
		
>
  ]]>
  <!ENTITY % honorific.module "INCLUDE">
  <![%honorific.module;[
  
  <!ENTITY % honorific.role.attrib "%role.attrib;">
  <!ELEMENT Honorific (%docinfo.char.mix;)*>
  <!ATTLIST Honorific
		%common.attrib;
		%honorific.role.attrib;
		
>
  ]]>
  <!ENTITY % lineage.module "INCLUDE">
  <![%lineage.module;[
  
  <!ENTITY % lineage.role.attrib "%role.attrib;">
  <!ELEMENT Lineage (%docinfo.char.mix;)*>
  <!ATTLIST Lineage
		%common.attrib;
		%lineage.role.attrib;
		
>
  ]]>
  <!ENTITY % othername.module "INCLUDE">
  <![%othername.module;[
  
  <!ENTITY % othername.role.attrib "%role.attrib;">
  <!ELEMENT OtherName (%docinfo.char.mix;)*>
  <!ATTLIST OtherName
		%common.attrib;
		%othername.role.attrib;
		
>
  ]]>
  <!ENTITY % surname.module "INCLUDE">
  <![%surname.module;[
  
  <!ENTITY % surname.role.attrib "%role.attrib;">
  <!ELEMENT Surname (%docinfo.char.mix;)*>
  <!ATTLIST Surname
		%common.attrib;
		%surname.role.attrib;
		
>
  ]]>
]]>
<!ENTITY % printhistory.module "INCLUDE">
<![%printhistory.module;[
<!ENTITY % printhistory.role.attrib "%role.attrib;">
<!ELEMENT PrintHistory ((%para.class;)+)>
<!ATTLIST PrintHistory
		%common.attrib;
		%printhistory.role.attrib;
		
>
]]>
<!ENTITY % productname.module "INCLUDE">
<![%productname.module;[
<!ENTITY % productname.role.attrib "%role.attrib;">
<!ELEMENT ProductName (%para.char.mix;)*>
<!ATTLIST ProductName
		
		Class		(Service
				|Trade
				|Registered
				|Copyright)	"Trade"
		%common.attrib;
		%productname.role.attrib;
		
>
]]>
<!ENTITY % productnumber.module "INCLUDE">
<![%productnumber.module;[
<!ENTITY % productnumber.role.attrib "%role.attrib;">
<!ELEMENT ProductNumber (%docinfo.char.mix;)*>
<!ATTLIST ProductNumber
		%common.attrib;
		%productnumber.role.attrib;
		
>
]]>
<!ENTITY % pubdate.module "INCLUDE">
<![%pubdate.module;[
<!ENTITY % pubdate.role.attrib "%role.attrib;">
<!ELEMENT PubDate (%docinfo.char.mix;)*>
<!ATTLIST PubDate
		%common.attrib;
		%pubdate.role.attrib;
		
>
]]>
<!ENTITY % publisher.content.module "INCLUDE">
<![%publisher.content.module;[
<!ENTITY % publisher.module "INCLUDE">
<![%publisher.module;[
<!ENTITY % publisher.role.attrib "%role.attrib;">
<!ELEMENT Publisher (PublisherName, Address*)>
<!ATTLIST Publisher
		%common.attrib;
		%publisher.role.attrib;
		
>
]]>
  <!ENTITY % publishername.module "INCLUDE">
  <![%publishername.module;[
  
  <!ENTITY % publishername.role.attrib "%role.attrib;">
  <!ELEMENT PublisherName (%docinfo.char.mix;)*>
  <!ATTLIST PublisherName
		%common.attrib;
		%publishername.role.attrib;
		
>
  ]]>
  
]]>
<!ENTITY % pubsnumber.module "INCLUDE">
<![%pubsnumber.module;[
<!ENTITY % pubsnumber.role.attrib "%role.attrib;">
<!ELEMENT PubsNumber (%docinfo.char.mix;)*>
<!ATTLIST PubsNumber
		%common.attrib;
		%pubsnumber.role.attrib;
		
>
]]>
<!ENTITY % releaseinfo.module "INCLUDE">
<![%releaseinfo.module;[
<!ENTITY % releaseinfo.role.attrib "%role.attrib;">
<!ELEMENT ReleaseInfo (%docinfo.char.mix;)*>
<!ATTLIST ReleaseInfo
		%common.attrib;
		%releaseinfo.role.attrib;
		
>
]]>
<!ENTITY % revhistory.content.module "INCLUDE">
<![%revhistory.content.module;[
<!ENTITY % revhistory.module "INCLUDE">
<![%revhistory.module;[
<!ENTITY % revhistory.role.attrib "%role.attrib;">
<!ELEMENT RevHistory (Revision+)>
<!ATTLIST RevHistory
		%common.attrib;
		%revhistory.role.attrib;
		
>
]]>
  <!ENTITY % revision.module "INCLUDE">
  <![%revision.module;[
  
  <!ENTITY % revision.role.attrib "%role.attrib;">
  <!ELEMENT Revision (RevNumber, Date, AuthorInitials*, RevRemark?)>
  <!ATTLIST Revision
		%common.attrib;
		%revision.role.attrib;
		
>
  ]]>
  <!ENTITY % revnumber.module "INCLUDE">
  <![%revnumber.module;[
  
  <!ENTITY % revnumber.role.attrib "%role.attrib;">
  <!ELEMENT RevNumber (%docinfo.char.mix;)*>
  <!ATTLIST RevNumber
		%common.attrib;
		%revnumber.role.attrib;
		
>
  ]]>
  
  
  <!ENTITY % revremark.module "INCLUDE">
  <![%revremark.module;[
  
  <!ENTITY % revremark.role.attrib "%role.attrib;">
  <!ELEMENT RevRemark (%docinfo.char.mix;)*>
  <!ATTLIST RevRemark
		%common.attrib;
		%revremark.role.attrib;
		
>
  ]]>
]]>
<!ENTITY % seriesvolnums.module "INCLUDE">
<![%seriesvolnums.module;[
<!ENTITY % seriesvolnums.role.attrib "%role.attrib;">
<!ELEMENT SeriesVolNums (%docinfo.char.mix;)*>
<!ATTLIST SeriesVolNums
		%common.attrib;
		%seriesvolnums.role.attrib;
		
>
]]>
<!ENTITY % volumenum.module "INCLUDE">
<![%volumenum.module;[
<!ENTITY % volumenum.role.attrib "%role.attrib;">
<!ELEMENT VolumeNum (%docinfo.char.mix;)*>
<!ATTLIST VolumeNum
		%common.attrib;
		%volumenum.role.attrib;
		
>
]]>
]]>
<!ENTITY % accel.module "INCLUDE">
<![%accel.module;[
<!ENTITY % accel.role.attrib "%role.attrib;">
<!ELEMENT Accel (%smallcptr.char.mix;)*>
<!ATTLIST Accel
		%common.attrib;
		%accel.role.attrib;
		
>
]]>
<!ENTITY % action.module "INCLUDE">
<![%action.module;[
<!ENTITY % action.role.attrib "%role.attrib;">
<!ELEMENT Action (%cptr.char.mix;)*>
<!ATTLIST Action
		%moreinfo.attrib;
		%common.attrib;
		%action.role.attrib;
		
>
]]>
<!ENTITY % application.module "INCLUDE">
<![%application.module;[
<!ENTITY % application.role.attrib "%role.attrib;">
<!ELEMENT Application (%para.char.mix;)*>
<!ATTLIST Application
		Class 		(Hardware
				|Software)	#IMPLIED
		%moreinfo.attrib;
		%common.attrib;
		%application.role.attrib;
		
>
]]>
<!ENTITY % classname.module "INCLUDE">
<![%classname.module;[
<!ENTITY % classname.role.attrib "%role.attrib;">
<!ELEMENT ClassName (%smallcptr.char.mix;)*>
<!ATTLIST ClassName
		%common.attrib;
		%classname.role.attrib;
		
>
]]>
<!ENTITY % co.module "INCLUDE">
<![%co.module;[
<!ENTITY % co.role.attrib "%role.attrib;">
<!ELEMENT CO EMPTY>
<!ATTLIST CO
		%label.attrib; 
		%linkends.attrib; 
		%idreq.common.attrib;
		%co.role.attrib;
		
>
]]>
<!ENTITY % command.module "INCLUDE">
<![%command.module;[
<!ENTITY % command.role.attrib "%role.attrib;">
<!ELEMENT Command (%cptr.char.mix;)*>
<!ATTLIST Command
		%moreinfo.attrib;
		%common.attrib;
		%command.role.attrib;
		
>
]]>
<!ENTITY % computeroutput.module "INCLUDE">
<![%computeroutput.module;[
<!ENTITY % computeroutput.role.attrib "%role.attrib;">
<!ELEMENT ComputerOutput (%cptr.char.mix;)*>
<!ATTLIST ComputerOutput
		%moreinfo.attrib;
		%common.attrib;
		%computeroutput.role.attrib;
		
>
]]>
<!ENTITY % database.module "INCLUDE">
<![%database.module;[
<!ENTITY % database.role.attrib "%role.attrib;">
<!ELEMENT Database (%cptr.char.mix;)*>
<!ATTLIST Database
		
		Class 		(Name
				|Table
				|Field
				|Key1
				|Key2
				|Record)	#IMPLIED
		%moreinfo.attrib;
		%common.attrib;
		%database.role.attrib;
		
>
]]>
<!ENTITY % email.module "INCLUDE">
<![%email.module;[
<!ENTITY % email.role.attrib "%role.attrib;">
<!ELEMENT Email (%docinfo.char.mix;)*>
<!ATTLIST Email
		%common.attrib;
		%email.role.attrib;
		
>
]]>
<!ENTITY % envar.module "INCLUDE">
<![%envar.module;[
<!ENTITY % envar.role.attrib "%role.attrib;">
<!ELEMENT EnVar (%smallcptr.char.mix;)*>
<!ATTLIST EnVar
		%common.attrib;
		%envar.role.attrib;
		
>
]]>
<!ENTITY % errorcode.module "INCLUDE">
<![%errorcode.module;[
<!ENTITY % errorcode.role.attrib "%role.attrib;">
<!ELEMENT ErrorCode (%smallcptr.char.mix;)*>
<!ATTLIST ErrorCode
		%moreinfo.attrib;
		%common.attrib;
		%errorcode.role.attrib;
		
>
]]>
<!ENTITY % errorname.module "INCLUDE">
<![%errorname.module;[
<!ENTITY % errorname.role.attrib "%role.attrib;">
<!ELEMENT ErrorName (%smallcptr.char.mix;)*>
<!ATTLIST ErrorName
		%common.attrib;
		%errorname.role.attrib;
		
>
]]>
<!ENTITY % errortype.module "INCLUDE">
<![%errortype.module;[
<!ENTITY % errortype.role.attrib "%role.attrib;">
<!ELEMENT ErrorType (%smallcptr.char.mix;)*>
<!ATTLIST ErrorType
		%common.attrib;
		%errortype.role.attrib;
		
>
]]>
<!ENTITY % filename.module "INCLUDE">
<![%filename.module;[
<!ENTITY % filename.role.attrib "%role.attrib;">
<!ELEMENT Filename (%cptr.char.mix;)*>
<!ATTLIST Filename
		
		Class		(HeaderFile
				|SymLink
				|Directory)	#IMPLIED
		
		Path		CDATA		#IMPLIED
		%moreinfo.attrib;
		%common.attrib;
		%filename.role.attrib;
		
>
]]>
<!ENTITY % function.module "INCLUDE">
<![%function.module;[
<!ENTITY % function.role.attrib "%role.attrib;">
<!ELEMENT Function (%cptr.char.mix;)*>
<!ATTLIST Function
		%moreinfo.attrib;
		%common.attrib;
		%function.role.attrib;
		
>
]]>
<!ENTITY % guibutton.module "INCLUDE">
<![%guibutton.module;[
<!ENTITY % guibutton.role.attrib "%role.attrib;">
<!ELEMENT GUIButton (%smallcptr.char.mix; | Accel)*>
<!ATTLIST GUIButton
		%moreinfo.attrib;
		%common.attrib;
		%guibutton.role.attrib;
		
>
]]>
<!ENTITY % guiicon.module "INCLUDE">
<![%guiicon.module;[
<!ENTITY % guiicon.role.attrib "%role.attrib;">
<!ELEMENT GUIIcon (%smallcptr.char.mix; | Accel)*>
<!ATTLIST GUIIcon
		%moreinfo.attrib;
		%common.attrib;
		%guiicon.role.attrib;
		
>
]]>
<!ENTITY % guilabel.module "INCLUDE">
<![%guilabel.module;[
<!ENTITY % guilabel.role.attrib "%role.attrib;">
<!ELEMENT GUILabel (%smallcptr.char.mix; | Accel)*>
<!ATTLIST GUILabel
		%moreinfo.attrib;
		%common.attrib;
		%guilabel.role.attrib;
		
>
]]>
<!ENTITY % guimenu.module "INCLUDE">
<![%guimenu.module;[
<!ENTITY % guimenu.role.attrib "%role.attrib;">
<!ELEMENT GUIMenu (%smallcptr.char.mix; | Accel)*>
<!ATTLIST GUIMenu
		%moreinfo.attrib;
		%common.attrib;
		%guimenu.role.attrib;
		
>
]]>
<!ENTITY % guimenuitem.module "INCLUDE">
<![%guimenuitem.module;[
<!ENTITY % guimenuitem.role.attrib "%role.attrib;">
<!ELEMENT GUIMenuItem (%smallcptr.char.mix; | Accel)*>
<!ATTLIST GUIMenuItem
		%moreinfo.attrib;
		%common.attrib;
		%guimenuitem.role.attrib;
		
>
]]>
<!ENTITY % guisubmenu.module "INCLUDE">
<![%guisubmenu.module;[
<!ENTITY % guisubmenu.role.attrib "%role.attrib;">
<!ELEMENT GUISubmenu (%smallcptr.char.mix; | Accel)*>
<!ATTLIST GUISubmenu
		%moreinfo.attrib;
		%common.attrib;
		%guisubmenu.role.attrib;
		
>
]]>
<!ENTITY % hardware.module "INCLUDE">
<![%hardware.module;[
<!ENTITY % hardware.role.attrib "%role.attrib;">
<!ELEMENT Hardware (%cptr.char.mix;)*>
<!ATTLIST Hardware
		%moreinfo.attrib;
		%common.attrib;
		%hardware.role.attrib;
		
>
]]>
<!ENTITY % interface.module "INCLUDE">
<![%interface.module;[
<!ENTITY % interface.role.attrib "%role.attrib;">
<!ELEMENT Interface (%cptr.char.mix; | Accel)*>
<!ATTLIST Interface
		
		Class 		(Button
				|Icon
				|Menu
				|MenuItem)	#IMPLIED
		%moreinfo.attrib;
		%common.attrib;
		%interface.role.attrib;
		
>
]]>
<!ENTITY % interfacedefinition.module "INCLUDE">
<![%interfacedefinition.module;[
<!ENTITY % interfacedefinition.role.attrib "%role.attrib;">
<!ELEMENT InterfaceDefinition (%cptr.char.mix;)*>
<!ATTLIST InterfaceDefinition
		%moreinfo.attrib;
		%common.attrib;
		%interfacedefinition.role.attrib;
		
>
]]>
<!ENTITY % keycap.module "INCLUDE">
<![%keycap.module;[
<!ENTITY % keycap.role.attrib "%role.attrib;">
<!ELEMENT KeyCap (%cptr.char.mix;)*>
<!ATTLIST KeyCap
		%moreinfo.attrib;
		%common.attrib;
		%keycap.role.attrib;
		
>
]]>
<!ENTITY % keycode.module "INCLUDE">
<![%keycode.module;[
<!ENTITY % keycode.role.attrib "%role.attrib;">
<!ELEMENT KeyCode (%smallcptr.char.mix;)*>
<!ATTLIST KeyCode
		%common.attrib;
		%keycode.role.attrib;
		
>
]]>
<!ENTITY % keycombo.module "INCLUDE">
<![%keycombo.module;[
<!ENTITY % keycombo.role.attrib "%role.attrib;">
<!ELEMENT KeyCombo ((KeyCap|KeyCombo|KeySym|MouseButton)+)>
<!ATTLIST KeyCombo
		%keyaction.attrib;
		%moreinfo.attrib;
		%common.attrib;
		%keycombo.role.attrib;
		
>
]]>
<!ENTITY % keysym.module "INCLUDE">
<![%keysym.module;[
<!ENTITY % keysysm.role.attrib "%role.attrib;">
<!ELEMENT KeySym (%smallcptr.char.mix;)*>
<!ATTLIST KeySym
		%common.attrib;
		%keysysm.role.attrib;
		
>
]]>
<!ENTITY % lineannotation.module "INCLUDE">
<![%lineannotation.module;[
<!ENTITY % lineannotation.role.attrib "%role.attrib;">
<!ELEMENT LineAnnotation (%para.char.mix;)*>
<!ATTLIST LineAnnotation
		%common.attrib;
		%lineannotation.role.attrib;
		
>
]]>
<!ENTITY % literal.module "INCLUDE">
<![%literal.module;[
<!ENTITY % literal.role.attrib "%role.attrib;">
<!ELEMENT Literal (%cptr.char.mix;)*>
<!ATTLIST Literal
		%moreinfo.attrib;
		%common.attrib;
		%literal.role.attrib;
		
>
]]>
<!ENTITY % markup.module "INCLUDE">
<![%markup.module;[
<!ENTITY % markup.role.attrib "%role.attrib;">
<!ELEMENT Markup (%smallcptr.char.mix;)*>
<!ATTLIST Markup
		%common.attrib;
		%markup.role.attrib;
		
>
]]>
<!ENTITY % medialabel.module "INCLUDE">
<![%medialabel.module;[
<!ENTITY % medialabel.role.attrib "%role.attrib;">
<!ELEMENT MediaLabel (%smallcptr.char.mix;)*>
<!ATTLIST MediaLabel
		
		Class 		(Cartridge
				|CDRom
				|Disk
				|Tape)		#IMPLIED
		%common.attrib;
		%medialabel.role.attrib;
		
>
]]>
<!ENTITY % menuchoice.content.module "INCLUDE">
<![%menuchoice.content.module;[
<!ENTITY % menuchoice.module "INCLUDE">
<![%menuchoice.module;[
<!ENTITY % menuchoice.role.attrib "%role.attrib;">
<!ELEMENT MenuChoice (Shortcut?, (GUIButton|GUIIcon|GUILabel
		|GUIMenu|GUIMenuItem|GUISubmenu|Interface)+)>
<!ATTLIST MenuChoice
		%moreinfo.attrib;
		%common.attrib;
		%menuchoice.role.attrib;
		
>
]]>
<!ENTITY % shortcut.module "INCLUDE">
<![%shortcut.module;[
<!ENTITY % shortcut.role.attrib "%role.attrib;">
<!ELEMENT Shortcut ((KeyCap|KeyCombo|KeySym|MouseButton)+)>
<!ATTLIST Shortcut
		%keyaction.attrib;
		%moreinfo.attrib;
		%common.attrib;
		%shortcut.role.attrib;
		
>
]]>
]]>
<!ENTITY % mousebutton.module "INCLUDE">
<![%mousebutton.module;[
<!ENTITY % mousebutton.role.attrib "%role.attrib;">
<!ELEMENT MouseButton (%smallcptr.char.mix;)*>
<!ATTLIST MouseButton
		%moreinfo.attrib;
		%common.attrib;
		%mousebutton.role.attrib;
		
>
]]>
<!ENTITY % msgtext.module "INCLUDE">
<![%msgtext.module;[
<!ENTITY % msgtext.role.attrib "%role.attrib;">
<!ELEMENT MsgText (%component.mix;)*>
<!ATTLIST MsgText
		%common.attrib;
		%msgtext.role.attrib;
		
>
]]>
<!ENTITY % option.module "INCLUDE">
<![%option.module;[
<!ENTITY % option.role.attrib "%role.attrib;">
<!ELEMENT Option (%cptr.char.mix;)*>
<!ATTLIST Option
		%common.attrib;
		%option.role.attrib;
		
>
]]>
<!ENTITY % optional.module "INCLUDE">
<![%optional.module;[
<!ENTITY % optional.role.attrib "%role.attrib;">
<!ELEMENT Optional (%cptr.char.mix;)*>
<!ATTLIST Optional
		%common.attrib;
		%optional.role.attrib;
		
>
]]>
<!ENTITY % parameter.module "INCLUDE">
<![%parameter.module;[
<!ENTITY % parameter.role.attrib "%role.attrib;">
<!ELEMENT Parameter (%cptr.char.mix;)*>
<!ATTLIST Parameter
		
		Class 		(Command
				|Function
				|Option)	#IMPLIED
		%moreinfo.attrib;
		%common.attrib;
		%parameter.role.attrib;
		
>
]]>
<!ENTITY % prompt.module "INCLUDE">
<![%prompt.module;[
<!ENTITY % prompt.role.attrib "%role.attrib;">
<!ELEMENT Prompt (%smallcptr.char.mix;)*>
<!ATTLIST Prompt
		%moreinfo.attrib;
		%common.attrib;
		%prompt.role.attrib;
		
>
]]>
<!ENTITY % property.module "INCLUDE">
<![%property.module;[
<!ENTITY % property.role.attrib "%role.attrib;">
<!ELEMENT Property (%cptr.char.mix;)*>
<!ATTLIST Property
		%moreinfo.attrib;
		%common.attrib;
		%property.role.attrib;
		
>
]]>
<!ENTITY % replaceable.module "INCLUDE">
<![%replaceable.module;[
<!ENTITY % replaceable.role.attrib "%role.attrib;">
<!ELEMENT Replaceable (#pcdata 
		| %link.char.class; 
		| Optional
		| %base.char.class; 
		| %other.char.class; 
		| InlineGraphic)*>
<!ATTLIST Replaceable
		
		Class		(Command
				|Function
				|Option
				|Parameter)	#IMPLIED
		%common.attrib;
		%replaceable.role.attrib;
		
>
]]>
<!ENTITY % returnvalue.module "INCLUDE">
<![%returnvalue.module;[
<!ENTITY % returnvalue.role.attrib "%role.attrib;">
<!ELEMENT ReturnValue (%smallcptr.char.mix;)*>
<!ATTLIST ReturnValue
		%common.attrib;
		%returnvalue.role.attrib;
		
>
]]>
<!ENTITY % sgmltag.module "INCLUDE">
<![%sgmltag.module;[
<!ENTITY % sgmltag.role.attrib "%role.attrib;">
<!ELEMENT SGMLTag (%smallcptr.char.mix;)*>
<!ATTLIST SGMLTag
		
		Class 		(Attribute
				|AttValue
				|Element
				|EndTag
				|GenEntity
				|NumCharRef
				|ParamEntity
				|PI
				|StartTag
				|SGMLComment)	#IMPLIED
		%common.attrib;
		%sgmltag.role.attrib;
		
>
]]>
<!ENTITY % structfield.module "INCLUDE">
<![%structfield.module;[
<!ENTITY % structfield.role.attrib "%role.attrib;">
<!ELEMENT StructField (%smallcptr.char.mix;)*>
<!ATTLIST StructField
		%common.attrib;
		%structfield.role.attrib;
		
>
]]>
<!ENTITY % structname.module "INCLUDE">
<![%structname.module;[
<!ENTITY % structname.role.attrib "%role.attrib;">
<!ELEMENT StructName (%smallcptr.char.mix;)*>
<!ATTLIST StructName
		%common.attrib;
		%structname.role.attrib;
		
>
]]>
<!ENTITY % symbol.module "INCLUDE">
<![%symbol.module;[
<!ENTITY % symbol.role.attrib "%role.attrib;">
<!ELEMENT Symbol (%smallcptr.char.mix;)*>
<!ATTLIST Symbol
		
		Class		(Limit)		#IMPLIED
		%common.attrib;
		%symbol.role.attrib;
		
>
]]>
<!ENTITY % systemitem.module "INCLUDE">
<![%systemitem.module;[
<!ENTITY % systemitem.role.attrib "%role.attrib;">
<!ELEMENT SystemItem (%cptr.char.mix; | Acronym)*>
<!ATTLIST SystemItem
		
		Class	(Constant
			|EnvironVar
			|Macro
			|OSname
			|Prompt
			|Resource
			|SystemName)	#IMPLIED
		%moreinfo.attrib;
		%common.attrib;
		%systemitem.role.attrib;
		
>
]]>
<!ENTITY % token.module "INCLUDE">
<![%token.module;[
<!ENTITY % token.role.attrib "%role.attrib;">
<!ELEMENT Token (%smallcptr.char.mix;)*>
<!ATTLIST Token
		%common.attrib;
		%token.role.attrib;
		
>
]]>
<!ENTITY % type.module "INCLUDE">
<![%type.module;[
<!ENTITY % type.role.attrib "%role.attrib;">
<!ELEMENT Type (%smallcptr.char.mix;)*>
<!ATTLIST Type
		%common.attrib;
		%type.role.attrib;
		
>
]]>
<!ENTITY % userinput.module "INCLUDE">
<![%userinput.module;[
<!ENTITY % userinput.role.attrib "%role.attrib;">
<!ELEMENT UserInput (%cptr.char.mix;)*>
<!ATTLIST UserInput
		%moreinfo.attrib;
		%common.attrib;
		%userinput.role.attrib;
		
>
]]>
<!ENTITY % abbrev.module "INCLUDE">
<![%abbrev.module;[
<!ENTITY % abbrev.role.attrib "%role.attrib;">
<!ELEMENT Abbrev (%word.char.mix;)*>
<!ATTLIST Abbrev
		%common.attrib;
		%abbrev.role.attrib;
		
>
]]>
<!ENTITY % acronym.module "INCLUDE">
<![%acronym.module;[
<!ENTITY % acronym.role.attrib "%role.attrib;">
<!ELEMENT Acronym (%word.char.mix;)* >
<!ATTLIST Acronym
		%common.attrib;
		%acronym.role.attrib;
		
>
]]>
<!ENTITY % citation.module "INCLUDE">
<![%citation.module;[
<!ENTITY % citation.role.attrib "%role.attrib;">
<!ELEMENT Citation (%para.char.mix;)*>
<!ATTLIST Citation
		%common.attrib;
		%citation.role.attrib;
		
>
]]>
<!ENTITY % citerefentry.module "INCLUDE">
<![%citerefentry.module;[
<!ENTITY % citerefentry.role.attrib "%role.attrib;">
<!ELEMENT CiteRefEntry (RefEntryTitle, ManVolNum?)>
<!ATTLIST CiteRefEntry
		%common.attrib;
		%citerefentry.role.attrib;
		
>
]]>
<!ENTITY % refentrytitle.module "INCLUDE">
<![%refentrytitle.module;[
<!ENTITY % refentrytitle.role.attrib "%role.attrib;">
<!ELEMENT RefEntryTitle (%para.char.mix;)*>
<!ATTLIST RefEntryTitle
		%common.attrib;
		%refentrytitle.role.attrib;
		
>
]]>
<!ENTITY % manvolnum.module "INCLUDE">
<![%manvolnum.module;[
<!ENTITY % namvolnum.role.attrib "%role.attrib;">
<!ELEMENT ManVolNum (%word.char.mix;)*>
<!ATTLIST ManVolNum
		%common.attrib;
		%namvolnum.role.attrib;
		
>
]]>
<!ENTITY % citetitle.module "INCLUDE">
<![%citetitle.module;[
<!ENTITY % citetitle.role.attrib "%role.attrib;">
<!ELEMENT CiteTitle (%para.char.mix;)*>
<!ATTLIST CiteTitle
		
		Pubwork		(Article
				|Book
				|Chapter
				|Part
				|RefEntry
				|Section)	#IMPLIED
		%common.attrib;
		%citetitle.role.attrib;
		
>
]]>
<!ENTITY % emphasis.module "INCLUDE">
<![%emphasis.module;[
<!ENTITY % emphasis.role.attrib "%role.attrib;">
<!ELEMENT Emphasis (%para.char.mix;)*>
<!ATTLIST Emphasis
		%common.attrib;
		%emphasis.role.attrib;
		
>
]]>
<!ENTITY % firstterm.module "INCLUDE">
<![%firstterm.module;[
<!ENTITY % firstterm.role.attrib "%role.attrib;">
<!ELEMENT FirstTerm (%word.char.mix;)*>
<!ATTLIST FirstTerm
		%linkend.attrib; 
		%common.attrib;
		%firstterm.role.attrib;
		
>
]]>
<!ENTITY % foreignphrase.module "INCLUDE">
<![%foreignphrase.module;[
<!ENTITY % foreignphrase.role.attrib "%role.attrib;">
<!ELEMENT ForeignPhrase (%para.char.mix;)*>
<!ATTLIST ForeignPhrase
		%common.attrib;
		%foreignphrase.role.attrib;
		
>
]]>
<!ENTITY % glossterm.module "INCLUDE">
<![%glossterm.module;[
<!ENTITY % glossterm.role.attrib "%role.attrib;">
<!ELEMENT GlossTerm (%para.char.mix;)*>
<!ATTLIST GlossTerm
		%linkend.attrib; 
		
		BaseForm	CDATA		#IMPLIED
		%common.attrib;
		%glossterm.role.attrib;
		
>
]]>
<!ENTITY % phrase.module "INCLUDE">
<![%phrase.module;[
<!ENTITY % phrase.role.attrib "%role.attrib;">
<!ELEMENT Phrase (%para.char.mix;)*>
<!ATTLIST Phrase
		%common.attrib;
		%phrase.role.attrib;
		
>
]]>
<!ENTITY % quote.module "INCLUDE">
<![%quote.module;[
<!ENTITY % quote.role.attrib "%role.attrib;">
<!ELEMENT Quote (%para.char.mix;)*>
<!ATTLIST Quote
		%common.attrib;
		%quote.role.attrib;
		
>
]]>
<!ENTITY % ssscript.module "INCLUDE">
<![%ssscript.module;[
<!ENTITY % ssscript.role.attrib "%role.attrib;">
<!ELEMENT Subscript  (#pcdata 
		| %link.char.class;
		| Emphasis
		| Replaceable 
		| Symbol 
		| InlineGraphic 
		| %base.char.class; 
		| %other.char.class;)*
		>
<!ATTLIST Subscript 
		%common.attrib;
		%ssscript.role.attrib;
		
>
<!ELEMENT Superscript  (#pcdata 
		| %link.char.class;
		| Emphasis
		| Replaceable 
		| Symbol 
		| InlineGraphic 
		| %base.char.class; 
		| %other.char.class;)*
		>
<!ATTLIST Superscript 
		%common.attrib;
		%ssscript.role.attrib;
		
>
]]>
<!ENTITY % trademark.module "INCLUDE">
<![%trademark.module;[
<!ENTITY % trademark.role.attrib "%role.attrib;">
<!ELEMENT Trademark (#pcdata 
		| %link.char.class; 
		| %tech.char.class;
		| %base.char.class; 
		| %other.char.class; 
		| InlineGraphic
		| Emphasis)*>
<!ATTLIST Trademark
		
		Class		(Service
				|Trade
				|Registered
				|Copyright)	"Trade"
		%common.attrib;
		%trademark.role.attrib;
		
>
]]>
<!ENTITY % wordasword.module "INCLUDE">
<![%wordasword.module;[
<!ENTITY % wordasword.role.attrib "%role.attrib;">
<!ELEMENT WordAsWord (%word.char.mix;)*>
<!ATTLIST WordAsWord
		%common.attrib;
		%wordasword.role.attrib;
		
>
]]>
<!ENTITY % link.module "INCLUDE">
<![%link.module;[
<!ENTITY % link.role.attrib "%role.attrib;">
<!ELEMENT Link (%para.char.mix;)*>
<!ATTLIST Link
		
		Endterm		IDREF		#IMPLIED
		%linkendreq.attrib; 
		
		Type		CDATA		#IMPLIED
		%common.attrib;
		%link.role.attrib;
		
>
]]>
<!ENTITY % olink.module "INCLUDE">
<![%olink.module;[
<!ENTITY % olink.role.attrib "%role.attrib;">
<!ELEMENT OLink (%para.char.mix;)*>
<!ATTLIST OLink
		
		TargetDocEnt	ENTITY 		#IMPLIED
		
		LinkMode	IDREF		#IMPLIED
		
		LocalInfo 	CDATA		#IMPLIED
		
		Type		CDATA		#IMPLIED
		%common.attrib;
		%olink.role.attrib;
		
>
]]>
<!ENTITY % ulink.module "INCLUDE">
<![%ulink.module;[
<!ENTITY % ulink.role.attrib "%role.attrib;">
<!ELEMENT ULink (%para.char.mix;)*>
<!ATTLIST ULink
		
		URL		CDATA		#REQUIRED
		
		Type		CDATA		#IMPLIED
		%common.attrib;
		%ulink.role.attrib;
		
>
]]>
<!ENTITY % footnoteref.module "INCLUDE">
<![%footnoteref.module;[
<!ENTITY % footnoteref.role.attrib "%role.attrib;">
<!ELEMENT FootnoteRef EMPTY>
<!ATTLIST FootnoteRef
		%linkendreq.attrib; 
		%label.attrib;
		%common.attrib;
		%footnoteref.role.attrib;
		
>
]]>
<!ENTITY % xref.module "INCLUDE">
<![%xref.module;[
<!ENTITY % xref.role.attrib "%role.attrib;">
<!ELEMENT XRef EMPTY>
<!ATTLIST XRef
		
		Endterm		IDREF		#IMPLIED
		%linkendreq.attrib; 
		%common.attrib;
		%xref.role.attrib;
		
>
]]>
<!ENTITY % anchor.module "INCLUDE">
<![%anchor.module;[
<!ENTITY % anchor.role.attrib "%role.attrib;">
<!ELEMENT Anchor EMPTY>
<!ATTLIST Anchor
		%idreq.attrib; 
		%pagenum.attrib; 
		%remap.attrib;
		%xreflabel.attrib;
		%revisionflag.attrib;
		%effectivity.attrib;
		%anchor.role.attrib;
		
>
]]>
<!ENTITY % indexterm.content.module "INCLUDE">
<![%indexterm.content.module;[
<!ENTITY % indexterm.module "INCLUDE">
<![%indexterm.module;[
<!ENTITY % indexterm.role.attrib "%role.attrib;">
<!ELEMENT IndexTerm (Primary, ((Secondary, ((Tertiary, (See|SeeAlso+)?)
		| See | SeeAlso+)?) | See | SeeAlso+)?) >
<!ATTLIST IndexTerm
		%pagenum.attrib;
		
		Scope		(All
				|Global
				|Local)		#IMPLIED
		
		Significance	(Preferred
				|Normal)	"Normal"
		
		Class		(Singular
				|StartOfRange
				|EndOfRange)	#IMPLIED
		
		StartRef		IDREF		#IMPLIED
		
		Zone			IDREFS		#IMPLIED
		%common.attrib;
		%indexterm.role.attrib;
		
>
]]>
<!ENTITY % primsecter.module "INCLUDE">
<![%primsecter.module;[
<!ENTITY % primsecter.role.attrib "%role.attrib;">
<!ELEMENT Primary  (%ndxterm.char.mix;)*>
<!ATTLIST Primary 
		
		SortAs		CDATA		#IMPLIED
		%common.attrib;
		%primsecter.role.attrib;
		
>
<!ELEMENT Secondary  (%ndxterm.char.mix;)*>
<!ATTLIST Secondary 
		
		SortAs		CDATA		#IMPLIED
		%common.attrib;
		%primsecter.role.attrib;
		
>
<!ELEMENT Tertiary  (%ndxterm.char.mix;)*>
<!ATTLIST Tertiary 
		
		SortAs		CDATA		#IMPLIED
		%common.attrib;
		%primsecter.role.attrib;
		
>
]]>
<!ENTITY % seeseealso.module "INCLUDE">
<![%seeseealso.module;[
<!ENTITY % seeseealso.role.attrib "%role.attrib;">
<!ELEMENT See  (%ndxterm.char.mix;)*>
<!ATTLIST See 
		%common.attrib;
		%seeseealso.role.attrib;
		
>
<!ELEMENT SeeAlso  (%ndxterm.char.mix;)*>
<!ATTLIST SeeAlso 
		%common.attrib;
		%seeseealso.role.attrib;
		
>
]]>
]]>
